# Change Log

## [v24.1.0](https://github.com/w3c/respec/tree/v24.1.0) (2019-01-07)
[Full Changelog](https://github.com/w3c/respec/compare/v24.0.0...v24.1.0)

**Closed issues:**

- WebIDL-thing-is-not-defined link is gone [\#2003](https://github.com/w3c/respec/issues/2003)

**Merged pull requests:**

- chore\(package\): update deps [\#2002](https://github.com/w3c/respec/pull/2002) ([marcoscaceres](https://github.com/marcoscaceres))
- linter rule for internal slots [\#1982](https://github.com/w3c/respec/pull/1982) ([saurabhmittal16](https://github.com/saurabhmittal16))
- refactor\(core/tests\): remove jQuery from core/issues-notes and w3c/headers-spec [\#1979](https://github.com/w3c/respec/pull/1979) ([devanshbatra04](https://github.com/devanshbatra04))

## [v24.0.0](https://github.com/w3c/respec/tree/v24.0.0) (2019-01-05)
[Full Changelog](https://github.com/w3c/respec/compare/v23.8.0...v24.0.0)

**Implemented enhancements:**

- \(core/pluralize\): Add support for singularize [\#1743](https://github.com/w3c/respec/issues/1743)

**Fixed bugs:**

- Built sourcemap name mismatch  [\#1995](https://github.com/w3c/respec/issues/1995)
- Parenthesis on method dfn-tags when method names are reused across interfaces [\#1369](https://github.com/w3c/respec/issues/1369)
- Referencing term using @data-lt can get confused [\#1161](https://github.com/w3c/respec/issues/1161)

**Closed issues:**

- An in-range update of snyk is breaking the build 🚨 [\#1991](https://github.com/w3c/respec/issues/1991)
- Remove makeOwnerSwapper\(\)? [\#1959](https://github.com/w3c/respec/issues/1959)
- Refactor `conf.definitionMap` as a module [\#1954](https://github.com/w3c/respec/issues/1954)
- Warn when self-citing [\#1950](https://github.com/w3c/respec/issues/1950)
- Replace webidl writer to webidl2.js one [\#1702](https://github.com/w3c/respec/issues/1702)
- Update biblio-db to match IDB spec [\#1058](https://github.com/w3c/respec/issues/1058)

**Merged pull requests:**

- test\(core/link-to-dfn\): ensure data-lt is preferred [\#2001](https://github.com/w3c/respec/pull/2001) ([saschanaz](https://github.com/saschanaz))
- fix\(core/github\): link GitHub at-risk issues [\#2000](https://github.com/w3c/respec/pull/2000) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/data-cite\): reword console output [\#1999](https://github.com/w3c/respec/pull/1999) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(build\): rename sourcemap file [\#1998](https://github.com/w3c/respec/pull/1998) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(tests\): lint for console.log in tests [\#1997](https://github.com/w3c/respec/pull/1997) ([marcoscaceres](https://github.com/marcoscaceres))
- Remove redundant files [\#1993](https://github.com/w3c/respec/pull/1993) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor: add ts-check [\#1990](https://github.com/w3c/respec/pull/1990) ([saschanaz](https://github.com/saschanaz))
- refactor: use package names for external dependencies [\#1988](https://github.com/w3c/respec/pull/1988) ([saschanaz](https://github.com/saschanaz))
- feat\(core/algorithms\): highlight assertions in algorithms [\#1987](https://github.com/w3c/respec/pull/1987) ([Swapnilr1](https://github.com/Swapnilr1))
- Update marked to the latest version 🚀 [\#1986](https://github.com/w3c/respec/pull/1986) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- refactor\(tests/spec/SpecHelper\): avoid call\(\) [\#1985](https://github.com/w3c/respec/pull/1985) ([saschanaz](https://github.com/saschanaz))
- feat\(core/data-cite\): shows a warning on self citing [\#1984](https://github.com/w3c/respec/pull/1984) ([devanshbatra04](https://github.com/devanshbatra04))
- refactor\(tests/spec/core\): use getElementById [\#1983](https://github.com/w3c/respec/pull/1983) ([saschanaz](https://github.com/saschanaz))
- BREAKING CHANGE: migrate to webpack [\#1981](https://github.com/w3c/respec/pull/1981) ([saschanaz](https://github.com/saschanaz))
- refactor: remove dynamic require\(\) [\#1980](https://github.com/w3c/respec/pull/1980) ([saschanaz](https://github.com/saschanaz))
- refactor\(tests/test-main\): remove redundant lines [\#1978](https://github.com/w3c/respec/pull/1978) ([saschanaz](https://github.com/saschanaz))
- refactor\(tests/spec\): remove jQuery [\#1977](https://github.com/w3c/respec/pull/1977) ([devanshbatra04](https://github.com/devanshbatra04))
- feat\(core/pluralize\): add singularize capability [\#1974](https://github.com/w3c/respec/pull/1974) ([devanshbatra04](https://github.com/devanshbatra04))
- refactor\(core/issues-notes\): split functions and add JSDocs [\#1973](https://github.com/w3c/respec/pull/1973) ([saschanaz](https://github.com/saschanaz))
- test: type check by `npm run lint`  [\#1972](https://github.com/w3c/respec/pull/1972) ([saschanaz](https://github.com/saschanaz))
- fix\(core/structure\): fix undefined property access error [\#1971](https://github.com/w3c/respec/pull/1971) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/issue-notes\): remove jquery [\#1969](https://github.com/w3c/respec/pull/1969) ([devanshbatra04](https://github.com/devanshbatra04))
- refactor: modularize definitionMap [\#1968](https://github.com/w3c/respec/pull/1968) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/utils\): remove makeOwnerSwapper\(\) [\#1967](https://github.com/w3c/respec/pull/1967) ([Swapnilr1](https://github.com/Swapnilr1))
- refactor\(core/structure\): avoid using module level variables nor innerHTML [\#1965](https://github.com/w3c/respec/pull/1965) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl-index\): Import nonNormativeClasses [\#1963](https://github.com/w3c/respec/pull/1963) ([Johanna-hub](https://github.com/Johanna-hub))
- fix\(core/utils\): Add non-normative classes [\#1962](https://github.com/w3c/respec/pull/1962) ([Johanna-hub](https://github.com/Johanna-hub))

## [v23.8.0](https://github.com/w3c/respec/tree/v23.8.0) (2018-12-18)
[Full Changelog](https://github.com/w3c/respec/compare/v23.7.4...v23.8.0)

**Implemented enhancements:**

- Replace handlebars with hyperHTML [\#1136](https://github.com/w3c/respec/issues/1136)

**Closed issues:**

- Get local references list from definitions [\#1952](https://github.com/w3c/respec/issues/1952)
- Get a way to exclude certain IDL blocks from IDL index [\#1880](https://github.com/w3c/respec/issues/1880)
- data-lt generates duplicated definitions [\#1878](https://github.com/w3c/respec/issues/1878)
- Add support for IDL namespace [\#1795](https://github.com/w3c/respec/issues/1795)

**Merged pull requests:**

- chore\(package\): update deps [\#1961](https://github.com/w3c/respec/pull/1961) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor: avoid using insertBefore\(\) [\#1960](https://github.com/w3c/respec/pull/1960) ([saschanaz](https://github.com/saschanaz))
- fix\(core/figures\): use childNodes instead of \<figcaption\> [\#1958](https://github.com/w3c/respec/pull/1958) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/structure\): remove jQuery [\#1957](https://github.com/w3c/respec/pull/1957) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/figures\): remove jQuery [\#1956](https://github.com/w3c/respec/pull/1956) ([saschanaz](https://github.com/saschanaz))
- fix\(core/dfn-finder\): always enumerate every alternative form for operations [\#1953](https://github.com/w3c/respec/pull/1953) ([saschanaz](https://github.com/saschanaz))
- fix\(core/dfn-finder\): prevent duplicated definition registration [\#1951](https://github.com/w3c/respec/pull/1951) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/link-to-dfn\): split functions [\#1949](https://github.com/w3c/respec/pull/1949) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/link-to-dfn\): split functions [\#1948](https://github.com/w3c/respec/pull/1948) ([saschanaz](https://github.com/saschanaz))
- test\(core/webidl\): links for namespaces [\#1947](https://github.com/w3c/respec/pull/1947) ([saschanaz](https://github.com/saschanaz))
- feat\(core/idl-index\): exclude IDL from IDL index [\#1946](https://github.com/w3c/respec/pull/1946) ([Johanna-hub](https://github.com/Johanna-hub))

## [v23.7.4](https://github.com/w3c/respec/tree/v23.7.4) (2018-12-11)
[Full Changelog](https://github.com/w3c/respec/compare/v23.7.3...v23.7.4)

**Closed issues:**

- Introduce general helper function to point elements from warnings [\#1944](https://github.com/w3c/respec/issues/1944)

**Merged pull requests:**

- Add showInlineError/Warning helper functions [\#1945](https://github.com/w3c/respec/pull/1945) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/figure\): remove some jQuery  [\#1943](https://github.com/w3c/respec/pull/1943) ([saschanaz](https://github.com/saschanaz))
- Update webidl2 to the latest version 🚀 [\#1942](https://github.com/w3c/respec/pull/1942) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v23.7.3](https://github.com/w3c/respec/tree/v23.7.3) (2018-12-07)
[Full Changelog](https://github.com/w3c/respec/compare/v23.7.2...v23.7.3)

**Fixed bugs:**

- List of Definitions broken [\#1938](https://github.com/w3c/respec/issues/1938)

**Closed issues:**

- An in-range update of snyk is breaking the build 🚨 [\#1934](https://github.com/w3c/respec/issues/1934)
- \<dfn\> for DOMParser.parseFromString is ignored [\#1791](https://github.com/w3c/respec/issues/1791)

**Merged pull requests:**

- \[Snyk\] Fix for 7 vulnerable dependencies [\#1941](https://github.com/w3c/respec/pull/1941) ([snyk-bot](https://github.com/snyk-bot))
- fix\(ui/dfn-list\): destructuring regression [\#1940](https://github.com/w3c/respec/pull/1940) ([sidvishnoi](https://github.com/sidvishnoi))
- fix: force Travis to use Chromium from puppeteer [\#1937](https://github.com/w3c/respec/pull/1937) ([saschanaz](https://github.com/saschanaz))

## [v23.7.2](https://github.com/w3c/respec/tree/v23.7.2) (2018-12-02)
[Full Changelog](https://github.com/w3c/respec/compare/v23.7.1...v23.7.2)

**Closed issues:**

- An in-range update of karma is breaking the build 🚨 [\#1931](https://github.com/w3c/respec/issues/1931)
- Remove support for Error object from core/ui [\#1929](https://github.com/w3c/respec/issues/1929)
- An in-range update of hyperhtml is breaking the build 🚨 [\#1922](https://github.com/w3c/respec/issues/1922)

**Merged pull requests:**

- Fix starter example markup [\#1933](https://github.com/w3c/respec/pull/1933) ([millette](https://github.com/millette))
- chore\(package\): update karma to version 3.1.3 [\#1932](https://github.com/w3c/respec/pull/1932) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/ui\):  remove error object support [\#1930](https://github.com/w3c/respec/pull/1930) ([saschanaz](https://github.com/saschanaz))
- refactor: use object shorthand, prefer append\(\), etc. [\#1928](https://github.com/w3c/respec/pull/1928) ([saschanaz](https://github.com/saschanaz))
- refactor: enforce eslint sort-imports [\#1927](https://github.com/w3c/respec/pull/1927) ([saschanaz](https://github.com/saschanaz))
- refactor: import hyperHTML as a module, etc. [\#1926](https://github.com/w3c/respec/pull/1926) ([saschanaz](https://github.com/saschanaz))
- Update puppeteer to the latest version 🚀 [\#1925](https://github.com/w3c/respec/pull/1925) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- chore\(package\): update hyperHTML to 2.19 [\#1923](https://github.com/w3c/respec/pull/1923) ([saschanaz](https://github.com/saschanaz))
- refactor: array-only flatten\(\), etc. [\#1921](https://github.com/w3c/respec/pull/1921) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl\): migrate writer to webidl2.js [\#1920](https://github.com/w3c/respec/pull/1920) ([saschanaz](https://github.com/saschanaz))
- Extra basic.html examples [\#1919](https://github.com/w3c/respec/pull/1919) ([Johanna-hub](https://github.com/Johanna-hub))
- Remove styleless CSS classes, round 1 [\#1918](https://github.com/w3c/respec/pull/1918) ([saschanaz](https://github.com/saschanaz))
- fix\(tools/builder\): source map from terser [\#1916](https://github.com/w3c/respec/pull/1916) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/dfn-finder\): lt for empty enum value [\#1915](https://github.com/w3c/respec/pull/1915) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl\): remove unreachable branch [\#1914](https://github.com/w3c/respec/pull/1914) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl\): further split linkDefinitions\(\) [\#1913](https://github.com/w3c/respec/pull/1913) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl\): split linkDefinitions\(\) [\#1912](https://github.com/w3c/respec/pull/1912) ([saschanaz](https://github.com/saschanaz))
-  refactor\(core/webidl\): upgrade to webidl2.js 16  [\#1910](https://github.com/w3c/respec/pull/1910) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl\): remove remnants of implements/ws [\#1908](https://github.com/w3c/respec/pull/1908) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/dfn-finder\): reduce a parameter [\#1906](https://github.com/w3c/respec/pull/1906) ([saschanaz](https://github.com/saschanaz))

## [v23.7.1](https://github.com/w3c/respec/tree/v23.7.1) (2018-11-23)
[Full Changelog](https://github.com/w3c/respec/compare/v23.7.0...v23.7.1)

**Closed issues:**

- uglify-es is deprecated [\#1902](https://github.com/w3c/respec/issues/1902)
- Babel's stage presets are deprecated [\#1900](https://github.com/w3c/respec/issues/1900)
- Merge equivalent CSS classes for IDL [\#1892](https://github.com/w3c/respec/issues/1892)
- An in-range update of serve is breaking the build 🚨 [\#1885](https://github.com/w3c/respec/issues/1885)

**Merged pull requests:**

- refactor: split findDfn\(\) as dfn-finder module [\#1904](https://github.com/w3c/respec/pull/1904) ([saschanaz](https://github.com/saschanaz))
- chore\(package\): migrate to terser [\#1903](https://github.com/w3c/respec/pull/1903) ([saschanaz](https://github.com/saschanaz))
- chore\(package\): upgrade to Babel 7 [\#1901](https://github.com/w3c/respec/pull/1901) ([saschanaz](https://github.com/saschanaz))
- refactor: prefer import by relative path [\#1899](https://github.com/w3c/respec/pull/1899) ([saschanaz](https://github.com/saschanaz))
- refactor: vanilla elements in conf.definitionMap [\#1898](https://github.com/w3c/respec/pull/1898) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/link-to-dfn\): remove jquery [\#1897](https://github.com/w3c/respec/pull/1897) ([saschanaz](https://github.com/saschanaz))
- refactor: return unwrapped element from findDfn\(\) [\#1896](https://github.com/w3c/respec/pull/1896) ([saschanaz](https://github.com/saschanaz))
- refactor: modernize all plugins [\#1895](https://github.com/w3c/respec/pull/1895) ([saschanaz](https://github.com/saschanaz))
- Merge IDL CSS classes [\#1894](https://github.com/w3c/respec/pull/1894) ([saschanaz](https://github.com/saschanaz))
- refactor: Remove unused CSS selectors [\#1893](https://github.com/w3c/respec/pull/1893) ([saschanaz](https://github.com/saschanaz))
- refactor: use dot notation when possible [\#1891](https://github.com/w3c/respec/pull/1891) ([saschanaz](https://github.com/saschanaz))

## [v23.7.0](https://github.com/w3c/respec/tree/v23.7.0) (2018-11-15)
[Full Changelog](https://github.com/w3c/respec/compare/v23.6.1...v23.7.0)

**Merged pull requests:**

- feat\(core/issues-notes\): allow token only github Authorization [\#1890](https://github.com/w3c/respec/pull/1890) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.6.1](https://github.com/w3c/respec/tree/v23.6.1) (2018-11-15)
[Full Changelog](https://github.com/w3c/respec/compare/v23.6.0...v23.6.1)

**Merged pull requests:**

- fix\(core/issues-notes\): set CORS mode, don't send referrer [\#1889](https://github.com/w3c/respec/pull/1889) ([marcoscaceres](https://github.com/marcoscaceres))
- Update karma-jasmine to the latest version 🚀 [\#1888](https://github.com/w3c/respec/pull/1888) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v23.6.0](https://github.com/w3c/respec/tree/v23.6.0) (2018-11-13)
[Full Changelog](https://github.com/w3c/respec/compare/v23.5.1...v23.6.0)

**Closed issues:**

- An in-range update of clipboard is breaking the build 🚨 [\#1882](https://github.com/w3c/respec/issues/1882)
- An in-range update of eslint-config-prettier is breaking the build 🚨 [\#1881](https://github.com/w3c/respec/issues/1881)
- An in-range update of snyk is breaking the build 🚨 [\#1877](https://github.com/w3c/respec/issues/1877)
- An in-range update of fs-extra is breaking the build 🚨 [\#1876](https://github.com/w3c/respec/issues/1876)
- An in-range update of prettier is breaking the build 🚨 [\#1873](https://github.com/w3c/respec/issues/1873)

**Merged pull requests:**

- feat\(respec2html\): allow debugging by showing devtools [\#1887](https://github.com/w3c/respec/pull/1887) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(package\): puppeteer 1.10.0 causes hightlighter to pause [\#1886](https://github.com/w3c/respec/pull/1886) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.5.1](https://github.com/w3c/respec/tree/v23.5.1) (2018-11-12)
[Full Changelog](https://github.com/w3c/respec/compare/v23.5.0...v23.5.1)

**Closed issues:**

- An in-range update of snyk is breaking the build 🚨 [\#1865](https://github.com/w3c/respec/issues/1865)

**Merged pull requests:**

- chore\(package\): update deps [\#1884](https://github.com/w3c/respec/pull/1884) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/webidl-index\): remove callback [\#1879](https://github.com/w3c/respec/pull/1879) ([saschanaz](https://github.com/saschanaz))

## [v23.5.0](https://github.com/w3c/respec/tree/v23.5.0) (2018-11-07)
[Full Changelog](https://github.com/w3c/respec/compare/v23.4.0...v23.5.0)

**Implemented enhancements:**

- eslint: prevent eval\(\) [\#1863](https://github.com/w3c/respec/pull/1863) ([tripu](https://github.com/tripu))

**Fixed bugs:**

- ReSpec adds width=0 and height=0 for images in a figure [\#1859](https://github.com/w3c/respec/issues/1859)

**Closed issues:**

- pubrules fail due to a spurious `/` in github links [\#1870](https://github.com/w3c/respec/issues/1870)
- Add Bikeshed like dfn-panels showing where terms are referenced [\#1869](https://github.com/w3c/respec/issues/1869)
- data-cite shouldn't create bibliography reference if citation is to shortName [\#1862](https://github.com/w3c/respec/issues/1862)

**Merged pull requests:**

- fix\(core/data-cite\): avoid including self in bibliography [\#1875](https://github.com/w3c/respec/pull/1875) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(templates/sotd\): use issueBase for github issues URL [\#1872](https://github.com/w3c/respec/pull/1872) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update deps [\#1871](https://github.com/w3c/respec/pull/1871) ([marcoscaceres](https://github.com/marcoscaceres))
- Allow use of additionalCopyrightHolders for CG/BG documents [\#1866](https://github.com/w3c/respec/pull/1866) ([tidoust](https://github.com/tidoust))
- Update package-lock.json [\#1864](https://github.com/w3c/respec/pull/1864) ([saschanaz](https://github.com/saschanaz))
- Add support for Living Standard & Living Document [\#1861](https://github.com/w3c/respec/pull/1861) ([sideshowbarker](https://github.com/sideshowbarker))
- fix\(core/figures\): prevent setting dimensions to 0 [\#1860](https://github.com/w3c/respec/pull/1860) ([sidvishnoi](https://github.com/sidvishnoi))

## [v23.4.0](https://github.com/w3c/respec/tree/v23.4.0) (2018-10-14)
[Full Changelog](https://github.com/w3c/respec/compare/v23.3.0...v23.4.0)

**Implemented enhancements:**

- Reuse cb\(\) for requestIdleCallback [\#1363](https://github.com/w3c/respec/issues/1363)

**Fixed bugs:**

- data-cite: Reference Subpage Resolution [\#1856](https://github.com/w3c/respec/issues/1856)

**Closed issues:**

- Don’t warn about normative links in informative sections [\#1853](https://github.com/w3c/respec/issues/1853)
- Single slash "/" resolution in data-cite is both right and wrong.  [\#1852](https://github.com/w3c/respec/issues/1852)

**Merged pull requests:**

- fix\(core/data-cite\): always resolve path relative to reference URL [\#1857](https://github.com/w3c/respec/pull/1857) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/inlines\): don't warn if ref already normative [\#1854](https://github.com/w3c/respec/pull/1854) ([marcoscaceres](https://github.com/marcoscaceres))
- Update webidl2 to the latest version 🚀 [\#1851](https://github.com/w3c/respec/pull/1851) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- feat\(core/data-type\): auto assign IDL types to dfns [\#1850](https://github.com/w3c/respec/pull/1850) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/requirements\): remove jquery [\#1845](https://github.com/w3c/respec/pull/1845) ([sidvishnoi](https://github.com/sidvishnoi))

## [v23.3.0](https://github.com/w3c/respec/tree/v23.3.0) (2018-10-04)
[Full Changelog](https://github.com/w3c/respec/compare/v23.2.0...v23.3.0)

**Implemented enhancements:**

- Normative references from informative sections [\#1020](https://github.com/w3c/respec/issues/1020)

**Closed issues:**

- improve isPreview text [\#1339](https://github.com/w3c/respec/issues/1339)
- Making WebIDL reference normative [\#1214](https://github.com/w3c/respec/issues/1214)

**Merged pull requests:**

- Improve isPreview text by adding PR number and url [\#1843](https://github.com/w3c/respec/pull/1843) ([yatri1609](https://github.com/yatri1609))

## [v23.2.0](https://github.com/w3c/respec/tree/v23.2.0) (2018-10-04)
[Full Changelog](https://github.com/w3c/respec/compare/v23.1.1...v23.2.0)

**Closed issues:**

- Export crashes on the editor's draft of JSON-LD [\#1842](https://github.com/w3c/respec/issues/1842)

**Merged pull requests:**

- feat\(core/pubsubhub\): show error if callback fails [\#1844](https://github.com/w3c/respec/pull/1844) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/data-cite\): support contextual citing [\#1841](https://github.com/w3c/respec/pull/1841) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.1.1](https://github.com/w3c/respec/tree/v23.1.1) (2018-10-03)
[Full Changelog](https://github.com/w3c/respec/compare/v23.1.0...v23.1.1)

## [v23.1.0](https://github.com/w3c/respec/tree/v23.1.0) (2018-10-02)
[Full Changelog](https://github.com/w3c/respec/compare/v23.0.5...v23.1.0)

**Closed issues:**

- IDL link to local members in same document [\#1811](https://github.com/w3c/respec/issues/1811)
- Change the way references are defined as informative or normative [\#1754](https://github.com/w3c/respec/issues/1754)

**Merged pull requests:**

- chore\(package\): Replace http-server with serve [\#1840](https://github.com/w3c/respec/pull/1840) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(core/inlines\): change the way inline references are used [\#1839](https://github.com/w3c/respec/pull/1839) ([sidvishnoi](https://github.com/sidvishnoi))
- refactor\(tests/utils\): migrate jquery-enhanced-spec to utils-spec [\#1838](https://github.com/w3c/respec/pull/1838) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/xref\): search locally first [\#1837](https://github.com/w3c/respec/pull/1837) ([sidvishnoi](https://github.com/sidvishnoi))
- Update eslint-plugin-prettier to the latest version 🚀 [\#1836](https://github.com/w3c/respec/pull/1836) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- feat\(respec-worker\): dynamically load highlight.js languages [\#1835](https://github.com/w3c/respec/pull/1835) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.0.5](https://github.com/w3c/respec/tree/v23.0.5) (2018-09-28)
[Full Changelog](https://github.com/w3c/respec/compare/v23.0.4...v23.0.5)

**Merged pull requests:**

- fix\(core/utils\): renameElement throws unexpected error [\#1833](https://github.com/w3c/respec/pull/1833) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.0.4](https://github.com/w3c/respec/tree/v23.0.4) (2018-09-26)
[Full Changelog](https://github.com/w3c/respec/compare/v23.0.3...v23.0.4)

**Closed issues:**

- Duplicate ids are generated for sections with the same title in Markdown docs [\#1830](https://github.com/w3c/respec/issues/1830)
- Do not signal missing definitions for methods marked with \[Default\] [\#1309](https://github.com/w3c/respec/issues/1309)
- Consider moving to semantic-release [\#1186](https://github.com/w3c/respec/issues/1186)

**Merged pull requests:**

- fix\(core/example\): duplicate ids [\#1832](https://github.com/w3c/respec/pull/1832) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/utils\): disable auto headerIds in marked [\#1831](https://github.com/w3c/respec/pull/1831) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.0.3](https://github.com/w3c/respec/tree/v23.0.3) (2018-09-17)
[Full Changelog](https://github.com/w3c/respec/compare/v23.0.2...v23.0.3)

**Closed issues:**

- No ID for section: Table of Contents [\#1828](https://github.com/w3c/respec/issues/1828)

**Merged pull requests:**

- fix\(core/structure\): toc heading must have id [\#1829](https://github.com/w3c/respec/pull/1829) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.0.2](https://github.com/w3c/respec/tree/v23.0.2) (2018-09-17)
[Full Changelog](https://github.com/w3c/respec/compare/v23.0.1...v23.0.2)

**Fixed bugs:**

- Fully qualified method names are not coded [\#1437](https://github.com/w3c/respec/issues/1437)
- Line breaks in WebIDL pre sections are ignored/replaced [\#1162](https://github.com/w3c/respec/issues/1162)

**Closed issues:**

- Linking warnings should not show normalized form [\#1676](https://github.com/w3c/respec/issues/1676)
- Use npm version on release [\#1653](https://github.com/w3c/respec/issues/1653)
- Run tests sync and async [\#1140](https://github.com/w3c/respec/issues/1140)
- Experiment with progressive rendering [\#1080](https://github.com/w3c/respec/issues/1080)
- Do processing on a hidden node to fix screen reader and permalink problems [\#971](https://github.com/w3c/respec/issues/971)

**Merged pull requests:**

- fix\(core/webidl\): fully qualified names not coded [\#1827](https://github.com/w3c/respec/pull/1827) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.0.1](https://github.com/w3c/respec/tree/v23.0.1) (2018-09-15)
[Full Changelog](https://github.com/w3c/respec/compare/v23.0.0...v23.0.1)

**Merged pull requests:**

- fix\(core/example\): self-link pre-based examples [\#1826](https://github.com/w3c/respec/pull/1826) ([marcoscaceres](https://github.com/marcoscaceres))

## [v23.0.0](https://github.com/w3c/respec/tree/v23.0.0) (2018-09-15)
[Full Changelog](https://github.com/w3c/respec/compare/v22.7.2...v23.0.0)

**Closed issues:**

- Add self-links to headings \(§ hyperlink anchor\) [\#1821](https://github.com/w3c/respec/issues/1821)

**Merged pull requests:**

- BREAKING CHANGE: remove old permalink code [\#1825](https://github.com/w3c/respec/pull/1825) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update dep, add Sid as contributor [\#1824](https://github.com/w3c/respec/pull/1824) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/examples\): self-link examples [\#1823](https://github.com/w3c/respec/pull/1823) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/id-headers\): add section links [\#1822](https://github.com/w3c/respec/pull/1822) ([marcoscaceres](https://github.com/marcoscaceres))

## [v22.7.2](https://github.com/w3c/respec/tree/v22.7.2) (2018-09-15)
[Full Changelog](https://github.com/w3c/respec/compare/v22.7.1...v22.7.2)

**Closed issues:**

- improved UX: normative and informative references should link directly, to correspond to web best practices and user expectations [\#1820](https://github.com/w3c/respec/issues/1820)
- npm start doesn't build all components [\#1580](https://github.com/w3c/respec/issues/1580)

**Merged pull requests:**

- fix\(core/biblio\): avoid dup refs when case differs [\#1819](https://github.com/w3c/respec/pull/1819) ([marcoscaceres](https://github.com/marcoscaceres))

## [v22.7.1](https://github.com/w3c/respec/tree/v22.7.1) (2018-09-06)
[Full Changelog](https://github.com/w3c/respec/compare/v22.7.0...v22.7.1)

**Closed issues:**

- data-dfn-for ignored for duplicate IDL enum terms [\#1814](https://github.com/w3c/respec/issues/1814)

**Merged pull requests:**

- fix\(webIDL\): unambiguously link emum values [\#1816](https://github.com/w3c/respec/pull/1816) ([marcoscaceres](https://github.com/marcoscaceres))

## [v22.7.0](https://github.com/w3c/respec/tree/v22.7.0) (2018-09-05)
[Full Changelog](https://github.com/w3c/respec/compare/v22.6.0...v22.7.0)

**Closed issues:**

- Autogenerated \(section\) IDs omit unicode characters [\#1813](https://github.com/w3c/respec/issues/1813)
- Small-caps is not appropriate for `\<code\>` [\#1812](https://github.com/w3c/respec/issues/1812)

**Merged pull requests:**

- feat\(core/caniuse\): add more browser keys [\#1818](https://github.com/w3c/respec/pull/1818) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/utils\): generate ids without diacritical marks [\#1817](https://github.com/w3c/respec/pull/1817) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/caniuse\): add mobile Chrome and Safari [\#1815](https://github.com/w3c/respec/pull/1815) ([christianliebel](https://github.com/christianliebel))

## [v22.6.0](https://github.com/w3c/respec/tree/v22.6.0) (2018-08-27)
[Full Changelog](https://github.com/w3c/respec/compare/v22.5.2...v22.6.0)

**Merged pull requests:**

- Give examples IDs based on example number and title [\#1810](https://github.com/w3c/respec/pull/1810) ([gkellogg](https://github.com/gkellogg))

## [v22.5.2](https://github.com/w3c/respec/tree/v22.5.2) (2018-08-23)
[Full Changelog](https://github.com/w3c/respec/compare/v22.5.1...v22.5.2)

## [v22.5.1](https://github.com/w3c/respec/tree/v22.5.1) (2018-08-21)
[Full Changelog](https://github.com/w3c/respec/compare/v22.5.0...v22.5.1)

**Fixed bugs:**

- ‘File a bug’ link broken despite correct GitHub config [\#1803](https://github.com/w3c/respec/issues/1803)

**Closed issues:**

- Linter reports false errors on "local-refs-exist" when href contains unicode symbols [\#1808](https://github.com/w3c/respec/issues/1808)

**Merged pull requests:**

- fix\(lint/local-refs-exist\): handle unicode characters in IDs [\#1809](https://github.com/w3c/respec/pull/1809) ([sidvishnoi](https://github.com/sidvishnoi))
- refactor\(core/fix-headers\): remove jQuery dependencies [\#1807](https://github.com/w3c/respec/pull/1807) ([sidvishnoi](https://github.com/sidvishnoi))
- refactor\(core/jquery-enhanced\): migrate $renameElement to vanilla js [\#1806](https://github.com/w3c/respec/pull/1806) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/github\): Support conf.github without trailing slash [\#1805](https://github.com/w3c/respec/pull/1805) ([sidvishnoi](https://github.com/sidvishnoi))
- Update marked to the latest version 🚀 [\#1802](https://github.com/w3c/respec/pull/1802) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v22.5.0](https://github.com/w3c/respec/tree/v22.5.0) (2018-08-16)
[Full Changelog](https://github.com/w3c/respec/compare/v22.4.0...v22.5.0)

**Closed issues:**

- \[META\] Summary - Google Summer of Code 2018 [\#1799](https://github.com/w3c/respec/issues/1799)
- No space after readonly in "readonly maplike" definitions [\#1794](https://github.com/w3c/respec/issues/1794)
- Replace `deps/domReady` with a wrapper for deprecation notice [\#1793](https://github.com/w3c/respec/issues/1793)
- standard way to mark fingerprinting surface vectors [\#1788](https://github.com/w3c/respec/issues/1788)
- Use eslint on Travis [\#1711](https://github.com/w3c/respec/issues/1711)

**Merged pull requests:**

- Update eslint-config-prettier to the latest version 🚀 [\#1801](https://github.com/w3c/respec/pull/1801) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update eslint-config-prettier to the latest version 🚀 [\#1800](https://github.com/w3c/respec/pull/1800) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update karma to the latest version 🚀 [\#1798](https://github.com/w3c/respec/pull/1798) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Mark deps/domReady as deprecated [\#1797](https://github.com/w3c/respec/pull/1797) ([saschanaz](https://github.com/saschanaz))
- \(core/xref\): support inline IDL [\#1765](https://github.com/w3c/respec/pull/1765) ([sidvishnoi](https://github.com/sidvishnoi))

## [v22.4.0](https://github.com/w3c/respec/tree/v22.4.0) (2018-08-07)
[Full Changelog](https://github.com/w3c/respec/compare/v22.3.5...v22.4.0)

**Fixed bugs:**

- Multiple dfn with the same name [\#1768](https://github.com/w3c/respec/issues/1768)

**Merged pull requests:**

- fix\(core/webidl\): only set pre id when needed [\#1796](https://github.com/w3c/respec/pull/1796) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/xref\): cache results [\#1758](https://github.com/w3c/respec/pull/1758) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(w3c/templates/sotd\): prefer github [\#1740](https://github.com/w3c/respec/pull/1740) ([marcoscaceres](https://github.com/marcoscaceres))

## [v22.3.5](https://github.com/w3c/respec/tree/v22.3.5) (2018-08-07)
[Full Changelog](https://github.com/w3c/respec/compare/v22.3.4...v22.3.5)

**Closed issues:**

- \<dfn\> for Gamepad is being ignored [\#1789](https://github.com/w3c/respec/issues/1789)

**Merged pull requests:**

- fix\(core/webidl\): find interface dfn in section [\#1792](https://github.com/w3c/respec/pull/1792) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/examples\): refactor and remove jQuery [\#1787](https://github.com/w3c/respec/pull/1787) ([sidvishnoi](https://github.com/sidvishnoi))

## [v22.3.4](https://github.com/w3c/respec/tree/v22.3.4) (2018-08-02)
[Full Changelog](https://github.com/w3c/respec/compare/v22.3.3...v22.3.4)

**Fixed bugs:**

- Language tags exposed in editor list company names [\#1786](https://github.com/w3c/respec/issues/1786)

**Closed issues:**

- Language markup showing in Editors list [\#1594](https://github.com/w3c/respec/issues/1594)

**Merged pull requests:**

- fix\(templates/show-people\): allow HTML for company field [\#1790](https://github.com/w3c/respec/pull/1790) ([saschanaz](https://github.com/saschanaz))

## [v22.3.3](https://github.com/w3c/respec/tree/v22.3.3) (2018-07-31)
[Full Changelog](https://github.com/w3c/respec/compare/v22.3.2...v22.3.3)

**Merged pull requests:**

-  refactor\(core/jquery-enhanced\): migrate $linkTargets to vanilla js [\#1785](https://github.com/w3c/respec/pull/1785) ([sidvishnoi](https://github.com/sidvishnoi))
- refactor: remove `var` [\#1784](https://github.com/w3c/respec/pull/1784) ([saschanaz](https://github.com/saschanaz))
- refactor\(tests/spec/core/webidl-spec\): remove remaining jQuery [\#1783](https://github.com/w3c/respec/pull/1783) ([saschanaz](https://github.com/saschanaz))
- Lint tests [\#1782](https://github.com/w3c/respec/pull/1782) ([saschanaz](https://github.com/saschanaz))
- refactor: use const and arrow functions [\#1781](https://github.com/w3c/respec/pull/1781) ([saschanaz](https://github.com/saschanaz))
- refactor: use getElementById whenever possible [\#1780](https://github.com/w3c/respec/pull/1780) ([saschanaz](https://github.com/saschanaz))
- refactor: use await for makeRSDoc\(\) [\#1779](https://github.com/w3c/respec/pull/1779) ([saschanaz](https://github.com/saschanaz))
- fix\(karma.conf.js\): grep causes incorrect skips [\#1778](https://github.com/w3c/respec/pull/1778) ([saschanaz](https://github.com/saschanaz))
- Force eslint [\#1777](https://github.com/w3c/respec/pull/1777) ([saschanaz](https://github.com/saschanaz))
- fix\(core/idl\): linking attribute id/type with same name [\#1776](https://github.com/w3c/respec/pull/1776) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(tests/spec/core/webidl-spec\): remove jQuery from dict/enum tests [\#1775](https://github.com/w3c/respec/pull/1775) ([saschanaz](https://github.com/saschanaz))
- refactor\(tests/spec/core/webidl-spec\): remove jQuery from op/comment tests [\#1774](https://github.com/w3c/respec/pull/1774) ([saschanaz](https://github.com/saschanaz))
- refactor\(tests/spec/core/webidl-spec\): remove jQuery from ctor/const/attr tests [\#1773](https://github.com/w3c/respec/pull/1773) ([saschanaz](https://github.com/saschanaz))
- refactor\(tests/spec/core/webidl-spec\): remove jQuery from interface tests [\#1772](https://github.com/w3c/respec/pull/1772) ([saschanaz](https://github.com/saschanaz))

## [v22.3.2](https://github.com/w3c/respec/tree/v22.3.2) (2018-07-27)
[Full Changelog](https://github.com/w3c/respec/compare/v22.3.1...v22.3.2)

**Closed issues:**

- \[FEATURE REQUEST [\#1761](https://github.com/w3c/respec/issues/1761)

**Merged pull requests:**

- fix\(core/issues-notes\): don't remove closed issues [\#1771](https://github.com/w3c/respec/pull/1771) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): disable http cache for dev server [\#1770](https://github.com/w3c/respec/pull/1770) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor: remove domReady dependency [\#1767](https://github.com/w3c/respec/pull/1767) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/webidl\): modernize run\(\) [\#1766](https://github.com/w3c/respec/pull/1766) ([saschanaz](https://github.com/saschanaz))
- docs\(example/starter\): Fix closing heading tag [\#1763](https://github.com/w3c/respec/pull/1763) ([HolgerPeters](https://github.com/HolgerPeters))
- Update fs-extra to the latest version 🚀 [\#1759](https://github.com/w3c/respec/pull/1759) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v22.3.1](https://github.com/w3c/respec/tree/v22.3.1) (2018-07-16)
[Full Changelog](https://github.com/w3c/respec/compare/v22.3.0...v22.3.1)

**Merged pull requests:**

- fix\(core/webidl\): unindentMarkup\(\) should work with space-only lines [\#1756](https://github.com/w3c/respec/pull/1756) ([saschanaz](https://github.com/saschanaz))
- fix\(core/xref\): explicit external dfn lookup [\#1755](https://github.com/w3c/respec/pull/1755) ([sidvishnoi](https://github.com/sidvishnoi))

## [v22.3.0](https://github.com/w3c/respec/tree/v22.3.0) (2018-07-12)
[Full Changelog](https://github.com/w3c/respec/compare/v22.2.1...v22.3.0)

**Closed issues:**

- IDL Index looks too condensed [\#1745](https://github.com/w3c/respec/issues/1745)
- Another somewhat unhelpful error [\#1742](https://github.com/w3c/respec/issues/1742)

**Merged pull requests:**

- feat\(core/xref\): add normative, informative references [\#1753](https://github.com/w3c/respec/pull/1753) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(core/xref\): use inline references to provide context [\#1751](https://github.com/w3c/respec/pull/1751) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/xref\): use context to disambiguate [\#1750](https://github.com/w3c/respec/pull/1750) ([sidvishnoi](https://github.com/sidvishnoi))
- refactor\(core/webidl\): remove dead code, unjquery [\#1749](https://github.com/w3c/respec/pull/1749) ([marcoscaceres](https://github.com/marcoscaceres))
- Add spaces between IDL [\#1748](https://github.com/w3c/respec/pull/1748) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/jquery-enhanced\): move getDfnTitles to vanilla js [\#1746](https://github.com/w3c/respec/pull/1746) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/webidl\): improve warning msg for operation [\#1744](https://github.com/w3c/respec/pull/1744) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(core/xref\): support data-lt attributes [\#1736](https://github.com/w3c/respec/pull/1736) ([sidvishnoi](https://github.com/sidvishnoi))

## [v22.2.1](https://github.com/w3c/respec/tree/v22.2.1) (2018-07-10)
[Full Changelog](https://github.com/w3c/respec/compare/v22.2.0...v22.2.1)

**Merged pull requests:**

- fix\(core/webidl\): include optional's trivia [\#1747](https://github.com/w3c/respec/pull/1747) ([marcoscaceres](https://github.com/marcoscaceres))

## [v22.2.0](https://github.com/w3c/respec/tree/v22.2.0) (2018-07-09)
[Full Changelog](https://github.com/w3c/respec/compare/v22.1.1...v22.2.0)

**Fixed bugs:**

- Two spaces between optional and identifier [\#1737](https://github.com/w3c/respec/issues/1737)

**Closed issues:**

- Prevent SpecRef request if there are no refs [\#1726](https://github.com/w3c/respec/issues/1726)
- WebIDL and data-dfn-for creates fragments with whitespace [\#1650](https://github.com/w3c/respec/issues/1650)
- Shepherd integration [\#1424](https://github.com/w3c/respec/issues/1424)

**Merged pull requests:**

- refactor\(core/pluralize\): separate pluralization from data-lt [\#1739](https://github.com/w3c/respec/pull/1739) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/webidl\): extra space between optional and identifier [\#1738](https://github.com/w3c/respec/pull/1738) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/webidl\): normalize enum value ids [\#1735](https://github.com/w3c/respec/pull/1735) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/biblio\): prevent SpecRef request if there are no refs [\#1734](https://github.com/w3c/respec/pull/1734) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(core/xref\): support external dfn [\#1733](https://github.com/w3c/respec/pull/1733) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/xref\): use empty data-cite for local references [\#1732](https://github.com/w3c/respec/pull/1732) ([sidvishnoi](https://github.com/sidvishnoi))

## [v22.1.1](https://github.com/w3c/respec/tree/v22.1.1) (2018-07-03)
[Full Changelog](https://github.com/w3c/respec/compare/v22.1.0...v22.1.1)

**Fixed bugs:**

- Recent ReSpec update broke WebIDL parsing for WoT defintitions [\#1728](https://github.com/w3c/respec/issues/1728)

**Closed issues:**

- Ugly IDL errors [\#1674](https://github.com/w3c/respec/issues/1674)

**Merged pull requests:**

- fix\(core/link-to-dfn\): avoid xref warning if xref disabled [\#1731](https://github.com/w3c/respec/pull/1731) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/webidl\): improve display of errors [\#1730](https://github.com/w3c/respec/pull/1730) ([marcoscaceres](https://github.com/marcoscaceres))
- Update url-search-params to the latest version 🚀 [\#1729](https://github.com/w3c/respec/pull/1729) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v22.1.0](https://github.com/w3c/respec/tree/v22.1.0) (2018-07-02)
[Full Changelog](https://github.com/w3c/respec/compare/v22.0.1...v22.1.0)

**Closed issues:**

- W3C logo showing up in unofficial drafts?  [\#1725](https://github.com/w3c/respec/issues/1725)
- Add CSS for :target [\#1683](https://github.com/w3c/respec/issues/1683)

**Merged pull requests:**

- fix: allow multiple logos when unofficial [\#1727](https://github.com/w3c/respec/pull/1727) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/xref\): use data-cite to disambiguate [\#1723](https://github.com/w3c/respec/pull/1723) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/xref\): Improve error messages [\#1722](https://github.com/w3c/respec/pull/1722) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/link-to-dfn\): bad markdown [\#1721](https://github.com/w3c/respec/pull/1721) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/css/respec\): add :target highlight \#1683 [\#1720](https://github.com/w3c/respec/pull/1720) ([Jigar3](https://github.com/Jigar3))
- feat\(core/xref\): Add support for automatically linking external refs [\#1719](https://github.com/w3c/respec/pull/1719) ([sidvishnoi](https://github.com/sidvishnoi))

## [v22.0.1](https://github.com/w3c/respec/tree/v22.0.1) (2018-06-28)
[Full Changelog](https://github.com/w3c/respec/compare/v22.0.0...v22.0.1)

**Closed issues:**

- WebIDL rendering adds "\<span class='idlSectionComment'\>" to output [\#1717](https://github.com/w3c/respec/issues/1717)

**Merged pull requests:**

- fix\(core/webidl\): idl not rendering correctly [\#1718](https://github.com/w3c/respec/pull/1718) ([marcoscaceres](https://github.com/marcoscaceres))

## [v22.0.0](https://github.com/w3c/respec/tree/v22.0.0) (2018-06-26)
[Full Changelog](https://github.com/w3c/respec/compare/v21.3.0...v22.0.0)

**Merged pull requests:**

- BREAKING CHANGE: split biblio in pre-processing and rendering parts [\#1715](https://github.com/w3c/respec/pull/1715) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/webidl\): prevent duplicated whitespace after comma [\#1714](https://github.com/w3c/respec/pull/1714) ([saschanaz](https://github.com/saschanaz))
-  refactor\(core/biblio\): split into pre-processing and rendering parts [\#1712](https://github.com/w3c/respec/pull/1712) ([sidvishnoi](https://github.com/sidvishnoi))
- Update eslint to the latest version 🚀 [\#1709](https://github.com/w3c/respec/pull/1709) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v21.3.0](https://github.com/w3c/respec/tree/v21.3.0) (2018-06-25)
[Full Changelog](https://github.com/w3c/respec/compare/v21.2.0...v21.3.0)

**Fixed bugs:**

- IDL writer doesn't support setlike\<\> [\#1705](https://github.com/w3c/respec/issues/1705)
- IDL writer doesn't support bodyless stringifier [\#1704](https://github.com/w3c/respec/issues/1704)

**Closed issues:**

- Anonymous IDL operations cause empty idlMethName spans [\#1707](https://github.com/w3c/respec/issues/1707)

**Merged pull requests:**

- Update to webidl2.js 14 [\#1710](https://github.com/w3c/respec/pull/1710) ([saschanaz](https://github.com/saschanaz))
- Support setlike and bodyless stringifier [\#1708](https://github.com/w3c/respec/pull/1708) ([saschanaz](https://github.com/saschanaz))

## [v21.2.0](https://github.com/w3c/respec/tree/v21.2.0) (2018-06-20)
[Full Changelog](https://github.com/w3c/respec/compare/v21.1.0...v21.2.0)

**Merged pull requests:**

- feat\(core/biblio-db\): add clear database method [\#1706](https://github.com/w3c/respec/pull/1706) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/biblio\): normalize references [\#1703](https://github.com/w3c/respec/pull/1703) ([sidvishnoi](https://github.com/sidvishnoi))

## [v21.1.0](https://github.com/w3c/respec/tree/v21.1.0) (2018-06-19)
[Full Changelog](https://github.com/w3c/respec/compare/v21.0.2...v21.1.0)

**Closed issues:**

- Large images appear stretched [\#1678](https://github.com/w3c/respec/issues/1678)
- auto normalize references [\#1535](https://github.com/w3c/respec/issues/1535)
- Warn when href points to undefined id [\#1318](https://github.com/w3c/respec/issues/1318)
- caniuse integration  [\#1238](https://github.com/w3c/respec/issues/1238)

**Merged pull requests:**

- refactor\(core/jquery-enhanced\): migrate $.allTextNodes to vanilla js [\#1698](https://github.com/w3c/respec/pull/1698) ([sidvishnoi](https://github.com/sidvishnoi))
- chore\(package.json\) update dependencies [\#1697](https://github.com/w3c/respec/pull/1697) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(w3c/defaults\): enable local-refs-exist lint rule [\#1696](https://github.com/w3c/respec/pull/1696) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(w3c/defaults\): enable highlightVars [\#1695](https://github.com/w3c/respec/pull/1695) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/biblio\):  auto normalize references [\#1692](https://github.com/w3c/respec/pull/1692) ([sidvishnoi](https://github.com/sidvishnoi))
- refactor\(core/biblio\): replace jQuery with hyperHTML [\#1691](https://github.com/w3c/respec/pull/1691) ([sidvishnoi](https://github.com/sidvishnoi))

## [v21.0.2](https://github.com/w3c/respec/tree/v21.0.2) (2018-06-06)
[Full Changelog](https://github.com/w3c/respec/compare/v21.0.1...v21.0.2)

**Merged pull requests:**

- perf: dont create arrays unnecessarily [\#1690](https://github.com/w3c/respec/pull/1690) ([marcoscaceres](https://github.com/marcoscaceres))
- perf\(core/location-hash\): avoid recalculating styles [\#1689](https://github.com/w3c/respec/pull/1689) ([marcoscaceres](https://github.com/marcoscaceres))
- Add a period and space to unlinked references [\#1688](https://github.com/w3c/respec/pull/1688) ([michael-n-cooper](https://github.com/michael-n-cooper))
- fix\(w3c/defaults\): allow lint rules override [\#1687](https://github.com/w3c/respec/pull/1687) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(core/dfn\): improve backwards compat [\#1686](https://github.com/w3c/respec/pull/1686) ([sidvishnoi](https://github.com/sidvishnoi))

## [v21.0.1](https://github.com/w3c/respec/tree/v21.0.1) (2018-05-29)
[Full Changelog](https://github.com/w3c/respec/compare/v21.0.0...v21.0.1)

**Merged pull requests:**

- perf\(core/location-hash\) improve performance [\#1685](https://github.com/w3c/respec/pull/1685) ([sidvishnoi](https://github.com/sidvishnoi))

## [v21.0.0](https://github.com/w3c/respec/tree/v21.0.0) (2018-05-29)
[Full Changelog](https://github.com/w3c/respec/compare/v20.11.2...v21.0.0)

**Closed issues:**

- Investigate automatic pluralization of defined terms [\#1351](https://github.com/w3c/respec/issues/1351)
- Investigate switching MD parser  to Remarkable [\#1207](https://github.com/w3c/respec/issues/1207)

**Merged pull requests:**

- feat\(core/dfn\): add automatic pluralization support for \<dfn\> [\#1682](https://github.com/w3c/respec/pull/1682) ([sidvishnoi](https://github.com/sidvishnoi))
- BREAKING CHANGE: Remove deprecated things [\#1681](https://github.com/w3c/respec/pull/1681) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.11.2](https://github.com/w3c/respec/tree/v20.11.2) (2018-05-25)
[Full Changelog](https://github.com/w3c/respec/compare/v20.11.1...v20.11.2)

**Closed issues:**

- Nothing really checks config.format for markdown processing [\#1679](https://github.com/w3c/respec/issues/1679)

**Merged pull requests:**

- fix\(package\): update marked to version 0.4.0 [\#1680](https://github.com/w3c/respec/pull/1680) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.11.1](https://github.com/w3c/respec/tree/v20.11.1) (2018-05-15)
[Full Changelog](https://github.com/w3c/respec/compare/v20.11.0...v20.11.1)

**Fixed bugs:**

- link-to-dfn module may report a TypeError [\#1666](https://github.com/w3c/respec/issues/1666)

**Merged pull requests:**

- fix: link-to-dfn module may report a TypeError [\#1673](https://github.com/w3c/respec/pull/1673) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(tools/respecDocWriter\): support Puppeteer 1.4 error reporting [\#1671](https://github.com/w3c/respec/pull/1671) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.11.0](https://github.com/w3c/respec/tree/v20.11.0) (2018-05-14)
[Full Changelog](https://github.com/w3c/respec/compare/v20.10.4...v20.11.0)

**Closed issues:**

- "stod" typo in src/w3c/headers.js? [\#1656](https://github.com/w3c/respec/issues/1656)
- Warn about href's that link to nonexistent id's [\#1643](https://github.com/w3c/respec/issues/1643)

**Merged pull requests:**

- Fix temp ID syntax in list sorter [\#1665](https://github.com/w3c/respec/pull/1665) ([tidoust](https://github.com/tidoust))
- \(feat/lint\) Warns about href's that link to nonexistent id's in a spec [\#1664](https://github.com/w3c/respec/pull/1664) ([sidvishnoi](https://github.com/sidvishnoi))
- Update var highlight colors [\#1663](https://github.com/w3c/respec/pull/1663) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(w3c/headers\): typo [\#1659](https://github.com/w3c/respec/pull/1659) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(headers-spec\): variable name typo [\#1658](https://github.com/w3c/respec/pull/1658) ([marcoscaceres](https://github.com/marcoscaceres))
- Fix caniuse hover show/hide [\#1657](https://github.com/w3c/respec/pull/1657) ([sidvishnoi](https://github.com/sidvishnoi))

## [v20.10.4](https://github.com/w3c/respec/tree/v20.10.4) (2018-05-08)
[Full Changelog](https://github.com/w3c/respec/compare/v20.10.3...v20.10.4)

**Merged pull requests:**

- fix\(tools/respecDocWriter\): reject on require load errors [\#1654](https://github.com/w3c/respec/pull/1654) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.10.3](https://github.com/w3c/respec/tree/v20.10.3) (2018-05-07)
[Full Changelog](https://github.com/w3c/respec/compare/v20.10.2...v20.10.3)

**Closed issues:**

- Harmonizing var highlight colors with BikeShed [\#1649](https://github.com/w3c/respec/issues/1649)

**Merged pull requests:**

- Make RespecDocWriter work with older versions of ReSpec [\#1652](https://github.com/w3c/respec/pull/1652) ([tidoust](https://github.com/tidoust))

## [v20.10.2](https://github.com/w3c/respec/tree/v20.10.2) (2018-05-04)
[Full Changelog](https://github.com/w3c/respec/compare/v20.10.1...v20.10.2)

**Merged pull requests:**

- sec\(tools/respecDocWriter\): dont show URL params [\#1651](https://github.com/w3c/respec/pull/1651) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.10.1](https://github.com/w3c/respec/tree/v20.10.1) (2018-05-02)
[Full Changelog](https://github.com/w3c/respec/compare/v20.10.0...v20.10.1)

**Merged pull requests:**

- fix\(tools/respecDocWriter\): output data, not dataURL [\#1648](https://github.com/w3c/respec/pull/1648) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.10.0](https://github.com/w3c/respec/tree/v20.10.0) (2018-05-02)
[Full Changelog](https://github.com/w3c/respec/compare/v20.9.0...v20.10.0)

**Closed issues:**

- Missing js/deps/require.js? [\#1639](https://github.com/w3c/respec/issues/1639)
- Implementation report not required for REC [\#1632](https://github.com/w3c/respec/issues/1632)
- Update templates to point to new web-platform-tests location after move [\#1621](https://github.com/w3c/respec/issues/1621)
- caniuse should export as "caniuse.com" [\#1618](https://github.com/w3c/respec/issues/1618)
- caniuse layout and click issues on mobile  [\#1614](https://github.com/w3c/respec/issues/1614)
- punctuation checker not working correctly [\#1605](https://github.com/w3c/respec/issues/1605)
- Highlight variable matching in algorithm [\#1529](https://github.com/w3c/respec/issues/1529)

**Merged pull requests:**

- Update fs-extra to the latest version 🚀 [\#1646](https://github.com/w3c/respec/pull/1646) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Remove irrelevant config for caniuse feature [\#1645](https://github.com/w3c/respec/pull/1645) ([sidvishnoi](https://github.com/sidvishnoi))
- chore\(tests\): use eslint-plugin-jasmine [\#1644](https://github.com/w3c/respec/pull/1644) ([marcoscaceres](https://github.com/marcoscaceres))
- Refactor save html [\#1641](https://github.com/w3c/respec/pull/1641) ([sidvishnoi](https://github.com/sidvishnoi))
- Remove IDL legacy things [\#1638](https://github.com/w3c/respec/pull/1638) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(w3c/headers\): implementationReportURI CR only [\#1634](https://github.com/w3c/respec/pull/1634) ([marcoscaceres](https://github.com/marcoscaceres))
- Fix: caniuse layout and click issues on mobile [\#1627](https://github.com/w3c/respec/pull/1627) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(w3c/headers\): warn about old WPT URL [\#1622](https://github.com/w3c/respec/pull/1622) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/caniuse\): export as "caniuse.com" [\#1619](https://github.com/w3c/respec/pull/1619) ([sidvishnoi](https://github.com/sidvishnoi))
- feat\(core/linter-rules/punctuation\): Log offending elements [\#1617](https://github.com/w3c/respec/pull/1617) ([shikhar-scs](https://github.com/shikhar-scs))
- feat\(core/highlight-vars\): highlight vars in algos [\#1588](https://github.com/w3c/respec/pull/1588) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.9.0](https://github.com/w3c/respec/tree/v20.9.0) (2018-04-26)
[Full Changelog](https://github.com/w3c/respec/compare/v20.8.0...v20.9.0)

## [v20.8.0](https://github.com/w3c/respec/tree/v20.8.0) (2018-04-25)
[Full Changelog](https://github.com/w3c/respec/compare/v20.7.2...v20.8.0)

**Implemented enhancements:**

- Add natural width and height to images [\#923](https://github.com/w3c/respec/issues/923)

**Fixed bugs:**

- don't create a new id when an issue is referenced more than once [\#1626](https://github.com/w3c/respec/issues/1626)

**Closed issues:**

- Investigate bug related to duplicate issue ids [\#1342](https://github.com/w3c/respec/issues/1342)

**Merged pull requests:**

- feat\(core/utils\): add flatten\(\) util [\#1633](https://github.com/w3c/respec/pull/1633) ([marcoscaceres](https://github.com/marcoscaceres))
- feat: support personal github tokens for testing [\#1630](https://github.com/w3c/respec/pull/1630) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/issue-notes\): give issues a unique ID [\#1629](https://github.com/w3c/respec/pull/1629) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/images\): add natural width and height to images\(\#923\) [\#1616](https://github.com/w3c/respec/pull/1616) ([himanish-star](https://github.com/himanish-star))

## [v20.7.2](https://github.com/w3c/respec/tree/v20.7.2) (2018-04-17)
[Full Changelog](https://github.com/w3c/respec/compare/v20.7.1...v20.7.2)

**Fixed bugs:**

- Perma Link refers to \#undefined for the document [\#1445](https://github.com/w3c/respec/issues/1445)

**Merged pull requests:**

- chore\(package\): update dev deps [\#1623](https://github.com/w3c/respec/pull/1623) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.7.1](https://github.com/w3c/respec/tree/v20.7.1) (2018-04-06)
[Full Changelog](https://github.com/w3c/respec/compare/v20.7.0...v20.7.1)

**Fixed bugs:**

- The document license cannot be limited to the W3C Document License [\#1598](https://github.com/w3c/respec/issues/1598)

**Merged pull requests:**

- fix\(w3c/headers\): allow restrictive w3c license [\#1604](https://github.com/w3c/respec/pull/1604) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.7.0](https://github.com/w3c/respec/tree/v20.7.0) (2018-04-05)
[Full Changelog](https://github.com/w3c/respec/compare/v20.6.0...v20.7.0)

**Merged pull requests:**

- feat\(core/caniuse\): Add caniuse integration \#1238 [\#1555](https://github.com/w3c/respec/pull/1555) ([sidvishnoi](https://github.com/sidvishnoi))

## [v20.6.0](https://github.com/w3c/respec/tree/v20.6.0) (2018-04-04)
[Full Changelog](https://github.com/w3c/respec/compare/v20.5.1...v20.6.0)

**Closed issues:**

- Canonical URL not updated with anchor-navigation [\#1609](https://github.com/w3c/respec/issues/1609)
- respec2html error is always `😱 ReSpec error: JSHandle@error` [\#1606](https://github.com/w3c/respec/issues/1606)

**Merged pull requests:**

- Fix a couple of small bugs.  [\#1613](https://github.com/w3c/respec/pull/1613) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/base-runner\): extend plugin life [\#1612](https://github.com/w3c/respec/pull/1612) ([marcoscaceres](https://github.com/marcoscaceres))
- test\(headless\): reduce tested specs [\#1608](https://github.com/w3c/respec/pull/1608) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(tools/respecDocWriter\): stringify JSHandle objects from console [\#1607](https://github.com/w3c/respec/pull/1607) ([saschanaz](https://github.com/saschanaz))
- feat\(core/utils\): Utils fetch and cache [\#1602](https://github.com/w3c/respec/pull/1602) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/issues-notes\): show github labels [\#1583](https://github.com/w3c/respec/pull/1583) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.5.1](https://github.com/w3c/respec/tree/v20.5.1) (2018-04-03)
[Full Changelog](https://github.com/w3c/respec/compare/v20.5.0...v20.5.1)

**Merged pull requests:**

- fix\(show-people\): treat name as HTML [\#1595](https://github.com/w3c/respec/pull/1595) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.5.0](https://github.com/w3c/respec/tree/v20.5.0) (2018-04-03)
[Full Changelog](https://github.com/w3c/respec/compare/v20.4.2...v20.5.0)

**Merged pull requests:**

- feat: punctuation checker for paragraphs [\#1589](https://github.com/w3c/respec/pull/1589) ([shikhar-scs](https://github.com/shikhar-scs))

## [v20.4.2](https://github.com/w3c/respec/tree/v20.4.2) (2018-04-03)
[Full Changelog](https://github.com/w3c/respec/compare/v20.4.1...v20.4.2)

**Merged pull requests:**

- fix\(w3c/headers\): head items should be lcase [\#1603](https://github.com/w3c/respec/pull/1603) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.4.1](https://github.com/w3c/respec/tree/v20.4.1) (2018-04-02)
[Full Changelog](https://github.com/w3c/respec/compare/v20.4.0...v20.4.1)

**Fixed bugs:**

- IDL stringifier is causing RangeError [\#1599](https://github.com/w3c/respec/issues/1599)
- RangeError: Invalid count value exception in idn\(\) [\#1559](https://github.com/w3c/respec/issues/1559)

**Merged pull requests:**

- fix\(core/webidl\): dont warn about nameless ops [\#1601](https://github.com/w3c/respec/pull/1601) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/webidl\): indent stringifiers [\#1600](https://github.com/w3c/respec/pull/1600) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(pacakge\): npm start builds components [\#1581](https://github.com/w3c/respec/pull/1581) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.4.0](https://github.com/w3c/respec/tree/v20.4.0) (2018-03-29)
[Full Changelog](https://github.com/w3c/respec/compare/v20.3.0...v20.4.0)

**Merged pull requests:**

- feat\(core/figures\): anchor link texts to be shortened [\#1593](https://github.com/w3c/respec/pull/1593) ([himanish-star](https://github.com/himanish-star))

## [v20.3.0](https://github.com/w3c/respec/tree/v20.3.0) (2018-03-28)
[Full Changelog](https://github.com/w3c/respec/compare/v20.2.2...v20.3.0)

**Merged pull requests:**

- Remove @@@ from sotd [\#1584](https://github.com/w3c/respec/pull/1584) ([OrionStar25](https://github.com/OrionStar25))

## [v20.2.2](https://github.com/w3c/respec/tree/v20.2.2) (2018-03-27)
[Full Changelog](https://github.com/w3c/respec/compare/v20.2.1...v20.2.2)

**Closed issues:**

- Missing whitespace in headers between status and date [\#1590](https://github.com/w3c/respec/issues/1590)
- Script fails on IE11 with `SCRIPT1010: Expected identifier` [\#1585](https://github.com/w3c/respec/issues/1585)

**Merged pull requests:**

- fix: restore whitespace between status and date [\#1591](https://github.com/w3c/respec/pull/1591) ([deniak](https://github.com/deniak))

## [v20.2.1](https://github.com/w3c/respec/tree/v20.2.1) (2018-03-21)
[Full Changelog](https://github.com/w3c/respec/compare/v20.2.0...v20.2.1)

**Closed issues:**

- META: Google Summer of Code 2018 [\#1502](https://github.com/w3c/respec/issues/1502)

## [v20.2.0](https://github.com/w3c/respec/tree/v20.2.0) (2018-03-21)
[Full Changelog](https://github.com/w3c/respec/compare/v20.1.1...v20.2.0)

**Merged pull requests:**

- feat: show github issue's labels [\#1571](https://github.com/w3c/respec/pull/1571) ([himanish-star](https://github.com/himanish-star))

## [v20.1.1](https://github.com/w3c/respec/tree/v20.1.1) (2018-03-20)
[Full Changelog](https://github.com/w3c/respec/compare/v20.1.0...v20.1.1)

**Fixed bugs:**

- Parsing xml in markdown gives lower case tags [\#1573](https://github.com/w3c/respec/issues/1573)

**Merged pull requests:**

- fix\(w3c/templates/headers\): doc.title must match conf.title [\#1579](https://github.com/w3c/respec/pull/1579) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.1.0](https://github.com/w3c/respec/tree/v20.1.0) (2018-03-19)
[Full Changelog](https://github.com/w3c/respec/compare/v20.0.5...v20.1.0)

**Implemented enhancements:**

- Add support for former editors [\#1097](https://github.com/w3c/respec/issues/1097)

**Closed issues:**

- Allow makeStandardOps\(\) to take overrides [\#1576](https://github.com/w3c/respec/issues/1576)
- Extended attribute on types in union [\#1574](https://github.com/w3c/respec/issues/1574)
- &lt; in server-timing description [\#1568](https://github.com/w3c/respec/issues/1568)

**Merged pull requests:**

- fix\(core/webidl\): support extended attributes for IDL types [\#1578](https://github.com/w3c/respec/pull/1578) ([saschanaz](https://github.com/saschanaz))
- Allow makeStandardOps\(\) to take overrides: Fixes \#1576 [\#1577](https://github.com/w3c/respec/pull/1577) ([shikhar-scs](https://github.com/shikhar-scs))
- Add support for former editors [\#1551](https://github.com/w3c/respec/pull/1551) ([sidvishnoi](https://github.com/sidvishnoi))
- fix\(w3c/templates/headers\): use \<h1\> exists for title \(fixes \#460\) [\#1516](https://github.com/w3c/respec/pull/1516) ([shikhar-scs](https://github.com/shikhar-scs))

## [v20.0.5](https://github.com/w3c/respec/tree/v20.0.5) (2018-03-14)
[Full Changelog](https://github.com/w3c/respec/compare/v20.0.4...v20.0.5)

**Closed issues:**

- Configure Jasmine to not run in random [\#1552](https://github.com/w3c/respec/issues/1552)

**Merged pull requests:**

- fix\(core/issues-notes\): closed issue should be removed from spec [\#1570](https://github.com/w3c/respec/pull/1570) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(package\): update command-line-usage to version 5.0.2 [\#1569](https://github.com/w3c/respec/pull/1569) ([saschanaz](https://github.com/saschanaz))

## [v20.0.4](https://github.com/w3c/respec/tree/v20.0.4) (2018-03-10)
[Full Changelog](https://github.com/w3c/respec/compare/v20.0.3...v20.0.4)

**Implemented enhancements:**

- Test process version [\#1128](https://github.com/w3c/respec/issues/1128)

**Fixed bugs:**

- Back to Top button doesn't work [\#1545](https://github.com/w3c/respec/issues/1545)

**Closed issues:**

- THIS IS A TEST ISSUE [\#1548](https://github.com/w3c/respec/issues/1548)
- Regression: release.js exits with ERR\_FILE\_NOT\_FOUND [\#1547](https://github.com/w3c/respec/issues/1547)
- seo and jsonld modules should be merged [\#1536](https://github.com/w3c/respec/issues/1536)

**Merged pull requests:**

- fix\(core/webidl\): pad static methods [\#1566](https://github.com/w3c/respec/pull/1566) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update deps [\#1564](https://github.com/w3c/respec/pull/1564) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/issues-notes\): use async/await + simplify [\#1560](https://github.com/w3c/respec/pull/1560) ([goelrohan6](https://github.com/goelrohan6))
- chore\(package\): build, then start server [\#1558](https://github.com/w3c/respec/pull/1558) ([marcoscaceres](https://github.com/marcoscaceres))
- Merged seo and jsonld modules [\#1556](https://github.com/w3c/respec/pull/1556) ([goelrohan6](https://github.com/goelrohan6))
- refactor\(w3c/informative\): remove jQuery [\#1553](https://github.com/w3c/respec/pull/1553) ([saschanaz](https://github.com/saschanaz))
- Link back to top to title of spec [\#1550](https://github.com/w3c/respec/pull/1550) ([OrionStar25](https://github.com/OrionStar25))
- refactor\(core/inlines\): use ES2015+/remove jQuery [\#1549](https://github.com/w3c/respec/pull/1549) ([saschanaz](https://github.com/saschanaz))
- Update clipboard to the latest version 🚀 [\#1542](https://github.com/w3c/respec/pull/1542) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v20.0.3](https://github.com/w3c/respec/tree/v20.0.3) (2018-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v20.0.2...v20.0.3)

**Closed issues:**

- Github and edDraftURI [\#1223](https://github.com/w3c/respec/issues/1223)

**Merged pull requests:**

- fix: remove core/aria module [\#1544](https://github.com/w3c/respec/pull/1544) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/best-practices\): replace jQuery [\#1541](https://github.com/w3c/respec/pull/1541) ([saschanaz](https://github.com/saschanaz))

## [v20.0.2](https://github.com/w3c/respec/tree/v20.0.2) (2018-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v20.0.1...v20.0.2)

**Fixed bugs:**

- Respec can't check local source files anymore [\#1522](https://github.com/w3c/respec/issues/1522)

**Merged pull requests:**

- chore\(package\): update deps [\#1540](https://github.com/w3c/respec/pull/1540) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(tools/release, tools/respecDocWriter\): use double quotes [\#1539](https://github.com/w3c/respec/pull/1539) ([saschanaz](https://github.com/saschanaz))
- refactor\(core/contrib\): use ES2015+ [\#1538](https://github.com/w3c/respec/pull/1538) ([saschanaz](https://github.com/saschanaz))
- fix\(tools/respecDocWriter\): allow local file requests [\#1537](https://github.com/w3c/respec/pull/1537) ([saschanaz](https://github.com/saschanaz))

## [v20.0.1](https://github.com/w3c/respec/tree/v20.0.1) (2018-02-23)
[Full Changelog](https://github.com/w3c/respec/compare/v20.0.0...v20.0.1)

**Merged pull requests:**

- chore\(deps\): update hyperhtml [\#1531](https://github.com/w3c/respec/pull/1531) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(w3c/jsonld\): make async, used description [\#1528](https://github.com/w3c/respec/pull/1528) ([marcoscaceres](https://github.com/marcoscaceres))
- jsonld uses undefined "xsd" namespace [\#1527](https://github.com/w3c/respec/pull/1527) ([gkellogg](https://github.com/gkellogg))
- fix\(tools/respec2html\): resolve src to file URL [\#1524](https://github.com/w3c/respec/pull/1524) ([marcoscaceres](https://github.com/marcoscaceres))

## [v20.0.0](https://github.com/w3c/respec/tree/v20.0.0) (2018-02-22)
[Full Changelog](https://github.com/w3c/respec/compare/v19.6.0...v20.0.0)

**Closed issues:**

- Typos in the Developer's Guide  [\#1512](https://github.com/w3c/respec/issues/1512)

**Merged pull requests:**

- BREAKING CHANGE: Remove RDFa support. [\#1526](https://github.com/w3c/respec/pull/1526) ([gkellogg](https://github.com/gkellogg))
- refactor\(w3c/headers\): use w3c defaults [\#1525](https://github.com/w3c/respec/pull/1525) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): updates puppeteer + marked [\#1523](https://github.com/w3c/respec/pull/1523) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(.gitignore\): use globs [\#1518](https://github.com/w3c/respec/pull/1518) ([saschanaz](https://github.com/saschanaz))
- JSON-LD SEO support [\#1517](https://github.com/w3c/respec/pull/1517) ([gkellogg](https://github.com/gkellogg))
- Update RDFa support [\#1515](https://github.com/w3c/respec/pull/1515) ([gkellogg](https://github.com/gkellogg))
- Convert headers/sotd templates into hyperHTML [\#1514](https://github.com/w3c/respec/pull/1514) ([saschanaz](https://github.com/saschanaz))
- refactor: small syntax changes and hyperHTML [\#1511](https://github.com/w3c/respec/pull/1511) ([saschanaz](https://github.com/saschanaz))

## [v19.6.0](https://github.com/w3c/respec/tree/v19.6.0) (2018-02-15)
[Full Changelog](https://github.com/w3c/respec/compare/v19.5.0...v19.6.0)

**Closed issues:**

- 💅-up linked tests   [\#1374](https://github.com/w3c/respec/issues/1374)

**Merged pull requests:**

- prettify linked tests : Fixes \#1374 [\#1487](https://github.com/w3c/respec/pull/1487) ([shikhar-scs](https://github.com/shikhar-scs))

## [v19.5.0](https://github.com/w3c/respec/tree/v19.5.0) (2018-02-15)
[Full Changelog](https://github.com/w3c/respec/compare/v19.4.0...v19.5.0)

**Merged pull requests:**

- fix: re-add sudo required [\#1509](https://github.com/w3c/respec/pull/1509) ([saschanaz](https://github.com/saschanaz))
- feat\(w3c\): remove processVersion option [\#1480](https://github.com/w3c/respec/pull/1480) ([marcoscaceres](https://github.com/marcoscaceres))

## [v19.4.0](https://github.com/w3c/respec/tree/v19.4.0) (2018-02-14)
[Full Changelog](https://github.com/w3c/respec/compare/v19.3.0...v19.4.0)

**Implemented enhancements:**

- Switch to some other packaging system [\#1129](https://github.com/w3c/respec/issues/1129)

**Closed issues:**

- Link to duplicate definition [\#1427](https://github.com/w3c/respec/issues/1427)

**Merged pull requests:**

- Link to duplicate dfns [\#1477](https://github.com/w3c/respec/pull/1477) ([himanish-star](https://github.com/himanish-star))

## [v19.3.0](https://github.com/w3c/respec/tree/v19.3.0) (2018-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v19.2.2...v19.3.0)

**Fixed bugs:**

- Missing things in IDL index [\#1479](https://github.com/w3c/respec/issues/1479)

**Merged pull requests:**

- feat: support --disable-sandbox on respec2html [\#1504](https://github.com/w3c/respec/pull/1504) ([saschanaz](https://github.com/saschanaz))

## [v19.2.2](https://github.com/w3c/respec/tree/v19.2.2) (2018-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v19.2.1...v19.2.2)

**Merged pull requests:**

- fix\(core/webidl-index\): support multiple idl blocks [\#1497](https://github.com/w3c/respec/pull/1497) ([shubhshrma](https://github.com/shubhshrma))

## [v19.2.1](https://github.com/w3c/respec/tree/v19.2.1) (2018-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v19.2.0...v19.2.1)

**Fixed bugs:**

- No longer possible to override W3C logo in an official document? [\#1392](https://github.com/w3c/respec/issues/1392)

**Merged pull requests:**

- fix: add all logos in the first p element  [\#1492](https://github.com/w3c/respec/pull/1492) ([saschanaz](https://github.com/saschanaz))

## [v19.2.0](https://github.com/w3c/respec/tree/v19.2.0) (2018-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v19.1.1...v19.2.0)

**Closed issues:**

- SOTD still points to 1 March 2017 W3C Process Document [\#1485](https://github.com/w3c/respec/issues/1485)
- CI fails with a message `{}` [\#1476](https://github.com/w3c/respec/issues/1476)
- 19.1.0 doesn't seem to support interface mixins [\#1475](https://github.com/w3c/respec/issues/1475)
- Forked repositories cannot run karma tests on Travis? [\#1462](https://github.com/w3c/respec/issues/1462)
- marked stripping "\*" from pre [\#1389](https://github.com/w3c/respec/issues/1389)
- Github links should include link to pull requests [\#1373](https://github.com/w3c/respec/issues/1373)
- Add missing aria-spec [\#906](https://github.com/w3c/respec/issues/906)

**Merged pull requests:**

- fix\(tools/release\): use build:components instead [\#1501](https://github.com/w3c/respec/pull/1501) ([marcoscaceres](https://github.com/marcoscaceres))
- docs\(examples\): use github config option [\#1500](https://github.com/w3c/respec/pull/1500) ([marcoscaceres](https://github.com/marcoscaceres))
- fix: ping SpecRef in ordering-safe way  [\#1499](https://github.com/w3c/respec/pull/1499) ([saschanaz](https://github.com/saschanaz))
- chore: update dependencies [\#1498](https://github.com/w3c/respec/pull/1498) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor: remove WebIDL array support  [\#1496](https://github.com/w3c/respec/pull/1496) ([saschanaz](https://github.com/saschanaz))
- fix: prevent unordered tests from conflicting [\#1495](https://github.com/w3c/respec/pull/1495) ([saschanaz](https://github.com/saschanaz))
- Github links should include link to pull requests \#1373 [\#1491](https://github.com/w3c/respec/pull/1491) ([OrionStar25](https://github.com/OrionStar25))
- Skip detectBrowsers when explicitly passing browsers [\#1490](https://github.com/w3c/respec/pull/1490) ([saschanaz](https://github.com/saschanaz))
- refactor: use node.js api rather than unix commands  [\#1488](https://github.com/w3c/respec/pull/1488) ([saschanaz](https://github.com/saschanaz))
- refactor: use puppeteer instead of nightmare [\#1483](https://github.com/w3c/respec/pull/1483) ([saschanaz](https://github.com/saschanaz))
- Update jasmine-core to the latest version 🚀 [\#1481](https://github.com/w3c/respec/pull/1481) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- workaround: use sudo required on travis [\#1478](https://github.com/w3c/respec/pull/1478) ([saschanaz](https://github.com/saschanaz))

## [v19.1.1](https://github.com/w3c/respec/tree/v19.1.1) (2018-02-06)
[Full Changelog](https://github.com/w3c/respec/compare/v19.1.0...v19.1.1)

## [v19.1.0](https://github.com/w3c/respec/tree/v19.1.0) (2018-02-05)
[Full Changelog](https://github.com/w3c/respec/compare/v19.0.2...v19.1.0)

**Implemented enhancements:**

- Add support for WebIDL mixins [\#1423](https://github.com/w3c/respec/issues/1423)
- New link to the Process 2018 [\#1466](https://github.com/w3c/respec/pull/1466) ([plehegar](https://github.com/plehegar))

**Closed issues:**

- Test failure: 'root' is deprecated, use 'global' [\#1458](https://github.com/w3c/respec/issues/1458)

**Merged pull requests:**

- chore\(package\): use uglify-es 3.3.7 [\#1474](https://github.com/w3c/respec/pull/1474) ([saschanaz](https://github.com/saschanaz))
- Fix a typo in src/w3c/headers.js [\#1472](https://github.com/w3c/respec/pull/1472) ([xfq](https://github.com/xfq))
- Migrate to ES2017 async functions [\#1471](https://github.com/w3c/respec/pull/1471) ([saschanaz](https://github.com/saschanaz))
- feat: support interface mixins [\#1468](https://github.com/w3c/respec/pull/1468) ([saschanaz](https://github.com/saschanaz))
- chore\(package\): update webidl2.js to version 10.2.0 [\#1465](https://github.com/w3c/respec/pull/1465) ([saschanaz](https://github.com/saschanaz))
- workaround: add git commit hash [\#1464](https://github.com/w3c/respec/pull/1464) ([saschanaz](https://github.com/saschanaz))
- fix: roll back to uglify-es 3.2.2 [\#1461](https://github.com/w3c/respec/pull/1461) ([saschanaz](https://github.com/saschanaz))
- Fix Nightmare API use [\#1460](https://github.com/w3c/respec/pull/1460) ([saschanaz](https://github.com/saschanaz))

## [v19.0.2](https://github.com/w3c/respec/tree/v19.0.2) (2018-01-30)
[Full Changelog](https://github.com/w3c/respec/compare/v19.0.1...v19.0.2)

**Fixed bugs:**

- Code samples should not be set to aria-live="polite" after core/highlight executes [\#1456](https://github.com/w3c/respec/issues/1456)
- Snapshot menu not working on Firefox 57? [\#1440](https://github.com/w3c/respec/issues/1440)

**Closed issues:**

- viewing fails on Safari Version 10.1.2 \(10603.3.8\) [\#1453](https://github.com/w3c/respec/issues/1453)
- "Save as HTML" is missing from the Respec menu [\#1450](https://github.com/w3c/respec/issues/1450)

**Merged pull requests:**

- fix: dont announce highlights \(closes \#1456\) [\#1457](https://github.com/w3c/respec/pull/1457) ([marcoscaceres](https://github.com/marcoscaceres))
- Update mocha to the latest version 🚀 [\#1455](https://github.com/w3c/respec/pull/1455) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update command-line-args to the latest version 🚀 [\#1454](https://github.com/w3c/respec/pull/1454) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update http-server to the latest version 🚀 [\#1452](https://github.com/w3c/respec/pull/1452) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Cleanup various things [\#1451](https://github.com/w3c/respec/pull/1451) ([marcoscaceres](https://github.com/marcoscaceres))
- Update karma to the latest version 🚀 [\#1449](https://github.com/w3c/respec/pull/1449) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v19.0.1](https://github.com/w3c/respec/tree/v19.0.1) (2017-12-19)
[Full Changelog](https://github.com/w3c/respec/compare/v19.0.0...v19.0.1)

**Merged pull requests:**

- fix\(core/github\): bad URL for fetching issues [\#1447](https://github.com/w3c/respec/pull/1447) ([marcoscaceres](https://github.com/marcoscaceres))

## [v19.0.0](https://github.com/w3c/respec/tree/v19.0.0) (2017-12-19)
[Full Changelog](https://github.com/w3c/respec/compare/v18.3.0...v19.0.0)

**Implemented enhancements:**

- Upcoming update to WG notes patent policy text [\#1443](https://github.com/w3c/respec/issues/1443)

**Closed issues:**

- Specref updating is either too infrequent or partially broken [\#1441](https://github.com/w3c/respec/issues/1441)
- Serve save-html.js with a javascript mime type [\#1439](https://github.com/w3c/respec/issues/1439)
- Sort lists [\#912](https://github.com/w3c/respec/issues/912)

**Merged pull requests:**

- Improve patent text on notes [\#1446](https://github.com/w3c/respec/pull/1446) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update deps [\#1444](https://github.com/w3c/respec/pull/1444) ([marcoscaceres](https://github.com/marcoscaceres))
- Update fs-extra to the latest version 🚀 [\#1442](https://github.com/w3c/respec/pull/1442) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- chore\(package\): update deps [\#1436](https://github.com/w3c/respec/pull/1436) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(package\): update hyperhtml to version 2.1.2 [\#1434](https://github.com/w3c/respec/pull/1434) ([marcoscaceres](https://github.com/marcoscaceres))
- Remove more jquery [\#1432](https://github.com/w3c/respec/pull/1432) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.3.0](https://github.com/w3c/respec/tree/v18.3.0) (2017-11-17)
[Full Changelog](https://github.com/w3c/respec/compare/v18.2.4...v18.3.0)

**Merged pull requests:**

- feat: teach ReSpec to sort lists [\#1430](https://github.com/w3c/respec/pull/1430) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.2.4](https://github.com/w3c/respec/tree/v18.2.4) (2017-11-01)
[Full Changelog](https://github.com/w3c/respec/compare/v18.2.3...v18.2.4)

**Merged pull requests:**

- fix\(tools/respecDocWriter\): colors.info is not a function [\#1422](https://github.com/w3c/respec/pull/1422) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.2.3](https://github.com/w3c/respec/tree/v18.2.3) (2017-10-27)
[Full Changelog](https://github.com/w3c/respec/compare/v18.2.2...v18.2.3)

## [v18.2.2](https://github.com/w3c/respec/tree/v18.2.2) (2017-10-27)
[Full Changelog](https://github.com/w3c/respec/compare/v18.2.1...v18.2.2)

**Closed issues:**

- Named modules could be accurately timed [\#1081](https://github.com/w3c/respec/issues/1081)

**Merged pull requests:**

- \[Snyk\] Fix for 1 vulnerable dependency path [\#1420](https://github.com/w3c/respec/pull/1420) ([snyk-bot](https://github.com/snyk-bot))

## [v18.2.1](https://github.com/w3c/respec/tree/v18.2.1) (2017-10-26)
[Full Changelog](https://github.com/w3c/respec/compare/v18.2.0...v18.2.1)

**Closed issues:**

- Snapshot generation fails due to \<meta charset\> outside the first 1024 bytes [\#1417](https://github.com/w3c/respec/issues/1417)

**Merged pull requests:**

- fix\(ui/save-html\): move meta charset to top [\#1418](https://github.com/w3c/respec/pull/1418) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.2.0](https://github.com/w3c/respec/tree/v18.2.0) (2017-10-26)
[Full Changelog](https://github.com/w3c/respec/compare/v18.1.3...v18.2.0)

**Merged pull requests:**

- chore\(package\): s/prepublish/prepare, per npm5 [\#1415](https://github.com/w3c/respec/pull/1415) ([marcoscaceres](https://github.com/marcoscaceres))
- Babel bug [\#1414](https://github.com/w3c/respec/pull/1414) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.1.3](https://github.com/w3c/respec/tree/v18.1.3) (2017-10-25)
[Full Changelog](https://github.com/w3c/respec/compare/v18.1.2...v18.1.3)

**Merged pull requests:**

- \[Snyk\] Fix for 3 vulnerable dependency paths [\#1413](https://github.com/w3c/respec/pull/1413) ([snyk-bot](https://github.com/snyk-bot))

## [v18.1.2](https://github.com/w3c/respec/tree/v18.1.2) (2017-10-24)
[Full Changelog](https://github.com/w3c/respec/compare/v18.1.1...v18.1.2)

## [v18.1.1](https://github.com/w3c/respec/tree/v18.1.1) (2017-10-24)
[Full Changelog](https://github.com/w3c/respec/compare/v18.1.0...v18.1.1)

## [v18.1.0](https://github.com/w3c/respec/tree/v18.1.0) (2017-10-24)
[Full Changelog](https://github.com/w3c/respec/compare/v18.0.3...v18.1.0)

**Closed issues:**

- Ask people to upgrade to 18 when generating specs [\#1410](https://github.com/w3c/respec/issues/1410)

**Merged pull requests:**

- feat\(respec2html\): error if ReSpec \< v18 \(closes  \#1410\) [\#1412](https://github.com/w3c/respec/pull/1412) ([marcoscaceres](https://github.com/marcoscaceres))
- tests\(tests/headless\): test against real specs [\#1409](https://github.com/w3c/respec/pull/1409) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.0.3](https://github.com/w3c/respec/tree/v18.0.3) (2017-10-24)
[Full Changelog](https://github.com/w3c/respec/compare/v18.0.2...v18.0.3)

**Closed issues:**

- PR Preview / respecDocWriter reporting issues. [\#1345](https://github.com/w3c/respec/issues/1345)

**Merged pull requests:**

- security\(package\): run snyk protect with build \(closes \#1406\) [\#1411](https://github.com/w3c/respec/pull/1411) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.0.2](https://github.com/w3c/respec/tree/v18.0.2) (2017-10-23)
[Full Changelog](https://github.com/w3c/respec/compare/v18.0.1...v18.0.2)

**Merged pull requests:**

- fix\(ui/save-html\): encoding issue [\#1408](https://github.com/w3c/respec/pull/1408) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.0.1](https://github.com/w3c/respec/tree/v18.0.1) (2017-10-23)
[Full Changelog](https://github.com/w3c/respec/compare/v18.0.0...v18.0.1)

**Merged pull requests:**

- fix\(tools/respecDocWriter\): better error reporting [\#1407](https://github.com/w3c/respec/pull/1407) ([marcoscaceres](https://github.com/marcoscaceres))

## [v18.0.0](https://github.com/w3c/respec/tree/v18.0.0) (2017-10-22)
[Full Changelog](https://github.com/w3c/respec/compare/v17.1.2...v18.0.0)

## [v17.1.2](https://github.com/w3c/respec/tree/v17.1.2) (2017-10-22)
[Full Changelog](https://github.com/w3c/respec/compare/v17.1.1...v17.1.2)

**Implemented enhancements:**

- Node 8 required [\#1402](https://github.com/w3c/respec/pull/1402) ([tripu](https://github.com/tripu))

**Fixed bugs:**

- Errors in latest Respec \(17.1.1\) when using "save as" [\#1403](https://github.com/w3c/respec/issues/1403)

**Closed issues:**

- ReSpec not updating on w3c server? [\#1401](https://github.com/w3c/respec/issues/1401)

**Merged pull requests:**

- Remove beautifier [\#1404](https://github.com/w3c/respec/pull/1404) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(.travis\): use linux [\#1398](https://github.com/w3c/respec/pull/1398) ([marcoscaceres](https://github.com/marcoscaceres))

## [v17.1.1](https://github.com/w3c/respec/tree/v17.1.1) (2017-10-20)
[Full Changelog](https://github.com/w3c/respec/compare/v17.1.0...v17.1.1)

## [v17.1.0](https://github.com/w3c/respec/tree/v17.1.0) (2017-10-19)
[Full Changelog](https://github.com/w3c/respec/compare/v17.0.0...v17.1.0)

**Closed issues:**

- case-insensitive sorting of references [\#1396](https://github.com/w3c/respec/issues/1396)
- Custom logos: width and height swapped in Firefox 56.0.1 [\#1391](https://github.com/w3c/respec/issues/1391)

**Merged pull requests:**

- refactor\(core/issues-notes\): fold in w3c/aria [\#1400](https://github.com/w3c/respec/pull/1400) ([marcoscaceres](https://github.com/marcoscaceres))
- Promisify refactor [\#1399](https://github.com/w3c/respec/pull/1399) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(biblio\): sort refs case insensitive \(closes \#1396\) [\#1397](https://github.com/w3c/respec/pull/1397) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update deps [\#1395](https://github.com/w3c/respec/pull/1395) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(issue-notes-spec\): dont need to show document [\#1393](https://github.com/w3c/respec/pull/1393) ([marcoscaceres](https://github.com/marcoscaceres))
- Update webidl2 to the latest version 🚀 [\#1390](https://github.com/w3c/respec/pull/1390) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- feat\(templates/sotd.html\): link to 2017 patent policy [\#1388](https://github.com/w3c/respec/pull/1388) ([marcoscaceres](https://github.com/marcoscaceres))

## [v17.0.0](https://github.com/w3c/respec/tree/v17.0.0) (2017-10-07)
[Full Changelog](https://github.com/w3c/respec/compare/v16.2.2...v17.0.0)

**Implemented enhancements:**

- Parentheses in IDs [\#1353](https://github.com/w3c/respec/issues/1353)

**Closed issues:**

- Readability of RFC 2119 terms [\#1380](https://github.com/w3c/respec/issues/1380)
- Avoid misleadingly displaying RFC 2119 words in lower case [\#1183](https://github.com/w3c/respec/issues/1183)

**Merged pull requests:**

- Remove special chars [\#1387](https://github.com/w3c/respec/pull/1387) ([marcoscaceres](https://github.com/marcoscaceres))
- Update mocha to the latest version 🚀 [\#1386](https://github.com/w3c/respec/pull/1386) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- chore\(travis\): try testing OSX again [\#1385](https://github.com/w3c/respec/pull/1385) ([marcoscaceres](https://github.com/marcoscaceres))
- \[Snyk Update\] New fixes for 1 vulnerable dependency path [\#1384](https://github.com/w3c/respec/pull/1384) ([snyk-bot](https://github.com/snyk-bot))
- feat\(core/css/respec\): remove RFC2119 styling \(close \#1380\) [\#1383](https://github.com/w3c/respec/pull/1383) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update deps [\#1382](https://github.com/w3c/respec/pull/1382) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/webidl\): warning message typo [\#1379](https://github.com/w3c/respec/pull/1379) ([marcoscaceres](https://github.com/marcoscaceres))
- Greenkeeper/initial [\#1378](https://github.com/w3c/respec/pull/1378) ([marcoscaceres](https://github.com/marcoscaceres))
- BREAKING CHANGE: Move ReSpec to pure ES6 [\#1331](https://github.com/w3c/respec/pull/1331) ([marcoscaceres](https://github.com/marcoscaceres))

## [v16.2.2](https://github.com/w3c/respec/tree/v16.2.2) (2017-09-05)
[Full Changelog](https://github.com/w3c/respec/compare/v16.2.1...v16.2.2)

## [v16.2.1](https://github.com/w3c/respec/tree/v16.2.1) (2017-08-28)
[Full Changelog](https://github.com/w3c/respec/compare/v16.2.0...v16.2.1)

## [v16.2.0](https://github.com/w3c/respec/tree/v16.2.0) (2017-08-23)
[Full Changelog](https://github.com/w3c/respec/compare/v16.1.0...v16.2.0)

**Closed issues:**

- data-cite and multi-pages spec [\#1180](https://github.com/w3c/respec/issues/1180)

**Merged pull requests:**

- Allow to specific path to a subpage in reference citations [\#1371](https://github.com/w3c/respec/pull/1371) ([dontcallmedom](https://github.com/dontcallmedom))

## [v16.1.0](https://github.com/w3c/respec/tree/v16.1.0) (2017-08-21)
[Full Changelog](https://github.com/w3c/respec/compare/v16.0.1...v16.1.0)

## [v16.0.1](https://github.com/w3c/respec/tree/v16.0.1) (2017-08-20)
[Full Changelog](https://github.com/w3c/respec/compare/v16.0.0...v16.0.1)

**Closed issues:**

- How to define a method in a partial interface?  [\#1356](https://github.com/w3c/respec/issues/1356)
- Google getting wrong description [\#1336](https://github.com/w3c/respec/issues/1336)
- Add w3c defaults module [\#1206](https://github.com/w3c/respec/issues/1206)

**Merged pull requests:**

- Races [\#1368](https://github.com/w3c/respec/pull/1368) ([marcoscaceres](https://github.com/marcoscaceres))

## [v16.0.0](https://github.com/w3c/respec/tree/v16.0.0) (2017-08-16)
[Full Changelog](https://github.com/w3c/respec/compare/v15.8.4...v16.0.0)

**Merged pull requests:**

- Test split [\#1366](https://github.com/w3c/respec/pull/1366) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.8.4](https://github.com/w3c/respec/tree/v15.8.4) (2017-08-15)
[Full Changelog](https://github.com/w3c/respec/compare/v15.8.3...v15.8.4)

**Merged pull requests:**

- refactor\(jquery-enhanced-spec\): async + cleanup [\#1365](https://github.com/w3c/respec/pull/1365) ([marcoscaceres](https://github.com/marcoscaceres))
- Feat: add core seo module [\#1364](https://github.com/w3c/respec/pull/1364) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.8.3](https://github.com/w3c/respec/tree/v15.8.3) (2017-08-14)
[Full Changelog](https://github.com/w3c/respec/compare/v15.8.2...v15.8.3)

**Fixed bugs:**

- Unknown linter warning [\#1361](https://github.com/w3c/respec/issues/1361)

**Closed issues:**

- RangeError: date value is not finite in DateTimeFormat.format\(\) [\#1357](https://github.com/w3c/respec/issues/1357)

**Merged pull requests:**

- Linter unknown warn [\#1362](https://github.com/w3c/respec/pull/1362) ([marcoscaceres](https://github.com/marcoscaceres))
- fix: recover when config dates are invalid \(closes \#1357\) [\#1358](https://github.com/w3c/respec/pull/1358) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.8.2](https://github.com/w3c/respec/tree/v15.8.2) (2017-08-09)
[Full Changelog](https://github.com/w3c/respec/compare/v15.8.1...v15.8.2)

**Merged pull requests:**

- Fix bug in detecting wrong configuration for multiple WGs [\#1354](https://github.com/w3c/respec/pull/1354) ([dontcallmedom](https://github.com/dontcallmedom))

## [v15.8.1](https://github.com/w3c/respec/tree/v15.8.1) (2017-08-08)
[Full Changelog](https://github.com/w3c/respec/compare/v15.8.0...v15.8.1)

**Merged pull requests:**

- Avoid race conditions [\#1350](https://github.com/w3c/respec/pull/1350) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.8.0](https://github.com/w3c/respec/tree/v15.8.0) (2017-08-08)
[Full Changelog](https://github.com/w3c/respec/compare/v15.7.4...v15.8.0)

**Closed issues:**

- 2017 Process Document Operational on 1 March 2017 [\#1039](https://github.com/w3c/respec/issues/1039)
- Automatic deployment on merge to develop branch [\#998](https://github.com/w3c/respec/issues/998)

**Merged pull requests:**

- fix\(core/utils\): handle nulls when checking TextNodes [\#1349](https://github.com/w3c/respec/pull/1349) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): remove jscs, jshint - using prettier and eslint [\#1348](https://github.com/w3c/respec/pull/1348) ([marcoscaceres](https://github.com/marcoscaceres))
- Refactor tests to use async [\#1346](https://github.com/w3c/respec/pull/1346) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/data-tests\): remove tests on save [\#1344](https://github.com/w3c/respec/pull/1344) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/linter\): add modular, non-blocking, linter \(closes \#20\) [\#1332](https://github.com/w3c/respec/pull/1332) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.7.4](https://github.com/w3c/respec/tree/v15.7.4) (2017-08-01)
[Full Changelog](https://github.com/w3c/respec/compare/v15.7.3...v15.7.4)

**Merged pull requests:**

- fix\(core/css/respec2\): less ugly test box [\#1343](https://github.com/w3c/respec/pull/1343) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.7.3](https://github.com/w3c/respec/tree/v15.7.3) (2017-07-28)
[Full Changelog](https://github.com/w3c/respec/compare/v15.7.2...v15.7.3)

**Merged pull requests:**

- L10n [\#1341](https://github.com/w3c/respec/pull/1341) ([dhvenema](https://github.com/dhvenema))

## [v15.7.2](https://github.com/w3c/respec/tree/v15.7.2) (2017-07-27)
[Full Changelog](https://github.com/w3c/respec/compare/v15.7.1...v15.7.2)

**Merged pull requests:**

- fix\(core/aria\): reduce chance of race condition [\#1340](https://github.com/w3c/respec/pull/1340) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.7.1](https://github.com/w3c/respec/tree/v15.7.1) (2017-07-27)
[Full Changelog](https://github.com/w3c/respec/compare/v15.7.0...v15.7.1)

## [v15.7.0](https://github.com/w3c/respec/tree/v15.7.0) (2017-07-27)
[Full Changelog](https://github.com/w3c/respec/compare/v15.6.0...v15.7.0)

**Fixed bugs:**

- Random document.body races still occuring [\#1335](https://github.com/w3c/respec/issues/1335)

**Merged pull requests:**

- data-tests module [\#1338](https://github.com/w3c/respec/pull/1338) ([marcoscaceres](https://github.com/marcoscaceres))
- fix document.body race [\#1337](https://github.com/w3c/respec/pull/1337) ([dhvenema](https://github.com/dhvenema))

## [v15.6.0](https://github.com/w3c/respec/tree/v15.6.0) (2017-07-27)
[Full Changelog](https://github.com/w3c/respec/compare/v15.5.1...v15.6.0)

**Closed issues:**

- Add special status for diff previews [\#1126](https://github.com/w3c/respec/issues/1126)

**Merged pull requests:**

- chore\(.eslintrc\): reconfigure eslint [\#1347](https://github.com/w3c/respec/pull/1347) ([marcoscaceres](https://github.com/marcoscaceres))
- Adds "preview" status, for @tobie previews [\#1334](https://github.com/w3c/respec/pull/1334) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.5.1](https://github.com/w3c/respec/tree/v15.5.1) (2017-07-26)
[Full Changelog](https://github.com/w3c/respec/compare/v15.5.0...v15.5.1)

**Closed issues:**

- Convert moar things to ES6 [\#1165](https://github.com/w3c/respec/issues/1165)

**Merged pull requests:**

- fix: window.respecConf missing when using const [\#1333](https://github.com/w3c/respec/pull/1333) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.5.0](https://github.com/w3c/respec/tree/v15.5.0) (2017-07-21)
[Full Changelog](https://github.com/w3c/respec/compare/v15.4.1...v15.5.0)

**Merged pull requests:**

- Shortname from gh [\#1330](https://github.com/w3c/respec/pull/1330) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.4.1](https://github.com/w3c/respec/tree/v15.4.1) (2017-07-20)
[Full Changelog](https://github.com/w3c/respec/compare/v15.4.0...v15.4.1)

**Fixed bugs:**

- Fragment identifiers end up with invalid characters.  [\#1327](https://github.com/w3c/respec/issues/1327)

**Merged pull requests:**

- Fix linking [\#1329](https://github.com/w3c/respec/pull/1329) ([marcoscaceres](https://github.com/marcoscaceres))
- \[Snyk\] Fix for 2 vulnerable dependency paths [\#1328](https://github.com/w3c/respec/pull/1328) ([snyk-bot](https://github.com/snyk-bot))

## [v15.4.0](https://github.com/w3c/respec/tree/v15.4.0) (2017-07-19)
[Full Changelog](https://github.com/w3c/respec/compare/v15.3.0...v15.4.0)

**Closed issues:**

- No translations link? [\#1323](https://github.com/w3c/respec/issues/1323)

**Merged pull requests:**

- Fix bad usage of hyperHTML [\#1325](https://github.com/w3c/respec/pull/1325) ([marcoscaceres](https://github.com/marcoscaceres))
- Add link to translations when REC [\#1324](https://github.com/w3c/respec/pull/1324) ([marcoscaceres](https://github.com/marcoscaceres))
- L10n ui [\#1322](https://github.com/w3c/respec/pull/1322) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.3.0](https://github.com/w3c/respec/tree/v15.3.0) (2017-07-18)
[Full Changelog](https://github.com/w3c/respec/compare/v15.2.2...v15.3.0)

**Closed issues:**

- Respec License [\#1317](https://github.com/w3c/respec/issues/1317)

**Merged pull requests:**

- feat\(ui/save-html\): allow scripts to add things before save [\#1321](https://github.com/w3c/respec/pull/1321) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(LICENSE\): add LICENSE.md file \(closes \#1317\) [\#1320](https://github.com/w3c/respec/pull/1320) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.2.2](https://github.com/w3c/respec/tree/v15.2.2) (2017-07-17)
[Full Changelog](https://github.com/w3c/respec/compare/v15.2.1...v15.2.2)

**Merged pull requests:**

- Improve offline handling [\#1319](https://github.com/w3c/respec/pull/1319) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.2.1](https://github.com/w3c/respec/tree/v15.2.1) (2017-07-10)
[Full Changelog](https://github.com/w3c/respec/compare/v15.2.0...v15.2.1)

**Closed issues:**

- linter.js crashes on MS Edge due to use ":scope" selector [\#1314](https://github.com/w3c/respec/issues/1314)
- Spec rendering borked in Edge due to unwrapped "querySelectorAll" calls [\#1313](https://github.com/w3c/respec/issues/1313)

**Merged pull requests:**

- fix\(w3c/linter\): implement alt to CSS :scope \(fixes \#1314\) [\#1316](https://github.com/w3c/respec/pull/1316) ([marcoscaceres](https://github.com/marcoscaceres))
- fix: wrap querySelectorAll in Array.from \(closes \#1313\) [\#1315](https://github.com/w3c/respec/pull/1315) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.2.0](https://github.com/w3c/respec/tree/v15.2.0) (2017-07-06)
[Full Changelog](https://github.com/w3c/respec/compare/v15.1.3...v15.2.0)

**Merged pull requests:**

- feat\(core/webidl\): autolink toJSON to IDL spec [\#1312](https://github.com/w3c/respec/pull/1312) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.1.3](https://github.com/w3c/respec/tree/v15.1.3) (2017-07-06)
[Full Changelog](https://github.com/w3c/respec/compare/v15.1.2...v15.1.3)

**Merged pull requests:**

- refactor\(override-configuration-spec\): merge tests [\#1311](https://github.com/w3c/respec/pull/1311) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.1.2](https://github.com/w3c/respec/tree/v15.1.2) (2017-07-06)
[Full Changelog](https://github.com/w3c/respec/compare/v15.1.1...v15.1.2)

**Merged pull requests:**

- fix\(core/markdown\): eat empty p elements [\#1310](https://github.com/w3c/respec/pull/1310) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(ui/about-respec\): hide perf table when no data available [\#1308](https://github.com/w3c/respec/pull/1308) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.1.1](https://github.com/w3c/respec/tree/v15.1.1) (2017-07-05)
[Full Changelog](https://github.com/w3c/respec/compare/v15.1.0...v15.1.1)

**Merged pull requests:**

- fix\(ui/about-respec\): performance timing order [\#1307](https://github.com/w3c/respec/pull/1307) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.1.0](https://github.com/w3c/respec/tree/v15.1.0) (2017-07-05)
[Full Changelog](https://github.com/w3c/respec/compare/v15.0.2...v15.1.0)

**Merged pull requests:**

- chore\(travis\): try reducing concurreny [\#1306](https://github.com/w3c/respec/pull/1306) ([marcoscaceres](https://github.com/marcoscaceres))
- Perftime [\#1304](https://github.com/w3c/respec/pull/1304) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/utils\): a few simplifications [\#1303](https://github.com/w3c/respec/pull/1303) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.0.2](https://github.com/w3c/respec/tree/v15.0.2) (2017-06-29)
[Full Changelog](https://github.com/w3c/respec/compare/v15.0.1...v15.0.2)

**Merged pull requests:**

- Refactoring and bug fixes [\#1302](https://github.com/w3c/respec/pull/1302) ([marcoscaceres](https://github.com/marcoscaceres))

## [v15.0.1](https://github.com/w3c/respec/tree/v15.0.1) (2017-06-27)
[Full Changelog](https://github.com/w3c/respec/compare/v15.0.0...v15.0.1)

## [v15.0.0](https://github.com/w3c/respec/tree/v15.0.0) (2017-06-27)
[Full Changelog](https://github.com/w3c/respec/compare/v14.1.0...v15.0.0)

**Closed issues:**

- Stable Release URL [\#1301](https://github.com/w3c/respec/issues/1301)

**Merged pull requests:**

- BREAKING CHANGE\(core/webidl\): deprecate serializers [\#1300](https://github.com/w3c/respec/pull/1300) ([marcoscaceres](https://github.com/marcoscaceres))
- Moar es6 conversions... [\#1299](https://github.com/w3c/respec/pull/1299) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.1.0](https://github.com/w3c/respec/tree/v14.1.0) (2017-06-23)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.18...v14.1.0)

**Closed issues:**

- IDL parser doesn't seem to like record\<K, V\> [\#1297](https://github.com/w3c/respec/issues/1297)
- Respec not working today [\#1294](https://github.com/w3c/respec/issues/1294)

**Merged pull requests:**

- feat\(core/webidl\): handle multi-type generics [\#1298](https://github.com/w3c/respec/pull/1298) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.18](https://github.com/w3c/respec/tree/v14.0.18) (2017-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.17...v14.0.18)

**Merged pull requests:**

- Revert dom ready [\#1296](https://github.com/w3c/respec/pull/1296) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.17](https://github.com/w3c/respec/tree/v14.0.17) (2017-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.16...v14.0.17)

**Merged pull requests:**

- refactor\(js/profile-w3c-common\): DOMready [\#1295](https://github.com/w3c/respec/pull/1295) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.16](https://github.com/w3c/respec/tree/v14.0.16) (2017-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.15...v14.0.16)

## [v14.0.15](https://github.com/w3c/respec/tree/v14.0.15) (2017-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.14...v14.0.15)

**Merged pull requests:**

- refactor\(profile-w3c-common\): smaller DOM ready [\#1277](https://github.com/w3c/respec/pull/1277) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.14](https://github.com/w3c/respec/tree/v14.0.14) (2017-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.13...v14.0.14)

## [v14.0.13](https://github.com/w3c/respec/tree/v14.0.13) (2017-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.12...v14.0.13)

**Closed issues:**

- Breaking Change: Preface / Editors / Boilerplate / etc section missing [\#1290](https://github.com/w3c/respec/issues/1290)

**Merged pull requests:**

- fix: WebIDL is now living standard [\#1293](https://github.com/w3c/respec/pull/1293) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(w3c/templates/header\): no w3c logo for unofficial [\#1292](https://github.com/w3c/respec/pull/1292) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(w3c/headers\): bad method call \(closes \#1290\) [\#1291](https://github.com/w3c/respec/pull/1291) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.12](https://github.com/w3c/respec/tree/v14.0.12) (2017-06-21)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.11...v14.0.12)

**Fixed bugs:**

- ReSpec biblio processing broken in Firefox? [\#1285](https://github.com/w3c/respec/issues/1285)

**Merged pull requests:**

- Idb crash recovery [\#1289](https://github.com/w3c/respec/pull/1289) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.11](https://github.com/w3c/respec/tree/v14.0.11) (2017-06-21)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.10...v14.0.11)

**Fixed bugs:**

- Example titles display incorrectly [\#1282](https://github.com/w3c/respec/issues/1282)

**Closed issues:**

- double logo in CG specs [\#1286](https://github.com/w3c/respec/issues/1286)

**Merged pull requests:**

- fix: double logos in cg spec \(closes \#1286\) [\#1288](https://github.com/w3c/respec/pull/1288) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.10](https://github.com/w3c/respec/tree/v14.0.10) (2017-06-20)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.9...v14.0.10)

**Fixed bugs:**

- Custom logos broken? [\#1281](https://github.com/w3c/respec/issues/1281)

**Merged pull requests:**

- fix\(templates/cgbg-headers\): broken logos \(closes \#1281\) [\#1283](https://github.com/w3c/respec/pull/1283) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.9](https://github.com/w3c/respec/tree/v14.0.9) (2017-06-20)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.8...v14.0.9)

**Merged pull requests:**

- fix\(w3c/headers\): logos generating 404s [\#1280](https://github.com/w3c/respec/pull/1280) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.8](https://github.com/w3c/respec/tree/v14.0.8) (2017-06-19)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.7...v14.0.8)

**Merged pull requests:**

- refactor\(w3c/style\): small cleanup [\#1279](https://github.com/w3c/respec/pull/1279) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(tests/SpecRunner\): we use native fetch now [\#1278](https://github.com/w3c/respec/pull/1278) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.7](https://github.com/w3c/respec/tree/v14.0.7) (2017-06-18)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.6...v14.0.7)

**Merged pull requests:**

- set UTC timeZone for date formats, refs \#1272 [\#1276](https://github.com/w3c/respec/pull/1276) ([dissolve](https://github.com/dissolve))

## [v14.0.6](https://github.com/w3c/respec/tree/v14.0.6) (2017-06-16)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.5...v14.0.6)

**Merged pull requests:**

- refactor: Use hyperHTML for w3c logos [\#1275](https://github.com/w3c/respec/pull/1275) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.5](https://github.com/w3c/respec/tree/v14.0.5) (2017-06-16)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.4...v14.0.5)

**Fixed bugs:**

- Respec is errantly subtracting 1 day from previousPublishDate and publishDate [\#1272](https://github.com/w3c/respec/issues/1272)

**Merged pull requests:**

- fix: treat all dates as UTC \(closes \#1272\) [\#1274](https://github.com/w3c/respec/pull/1274) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.4](https://github.com/w3c/respec/tree/v14.0.4) (2017-06-14)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.3...v14.0.4)

**Fixed bugs:**

- Print style sheet broke [\#1196](https://github.com/w3c/respec/issues/1196)

**Merged pull requests:**

- Ui fixes [\#1273](https://github.com/w3c/respec/pull/1273) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.3](https://github.com/w3c/respec/tree/v14.0.3) (2017-06-13)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.2...v14.0.3)

**Fixed bugs:**

- respec borken in Edge 15? [\#1258](https://github.com/w3c/respec/issues/1258)

**Merged pull requests:**

- tests: allow testing in Edge [\#1271](https://github.com/w3c/respec/pull/1271) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor: remove fetch poly [\#1270](https://github.com/w3c/respec/pull/1270) ([marcoscaceres](https://github.com/marcoscaceres))
- fix: add URLSearchParams poly \(closes \#1258\) [\#1269](https://github.com/w3c/respec/pull/1269) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.2](https://github.com/w3c/respec/tree/v14.0.2) (2017-06-12)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.1...v14.0.2)

**Merged pull requests:**

- fix\(core/link-to-dfn\): markdown escape dfn [\#1268](https://github.com/w3c/respec/pull/1268) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.1](https://github.com/w3c/respec/tree/v14.0.1) (2017-06-12)
[Full Changelog](https://github.com/w3c/respec/compare/v14.0.0...v14.0.1)

**Merged pull requests:**

- fix\(w3c/headers\): wrong license warning [\#1267](https://github.com/w3c/respec/pull/1267) ([marcoscaceres](https://github.com/marcoscaceres))

## [v14.0.0](https://github.com/w3c/respec/tree/v14.0.0) (2017-06-12)
[Full Changelog](https://github.com/w3c/respec/compare/v13.2.0...v14.0.0)

**Implemented enhancements:**

- ReSpec warnings/errors should be markdown [\#1085](https://github.com/w3c/respec/issues/1085)

**Closed issues:**

- Remove idlExceptionTmpl and related code [\#1263](https://github.com/w3c/respec/issues/1263)

**Merged pull requests:**

- refactor\(ui/search-specref\): reword drop-down option [\#1266](https://github.com/w3c/respec/pull/1266) ([marcoscaceres](https://github.com/marcoscaceres))
- BREAKING CHANGE: deprecate WebIDL exceptions [\#1265](https://github.com/w3c/respec/pull/1265) ([marcoscaceres](https://github.com/marcoscaceres))
- BREAKING CHANGE: use markdown for error/warn [\#1264](https://github.com/w3c/respec/pull/1264) ([marcoscaceres](https://github.com/marcoscaceres))

## [v13.2.0](https://github.com/w3c/respec/tree/v13.2.0) (2017-06-12)
[Full Changelog](https://github.com/w3c/respec/compare/v13.1.2...v13.2.0)

**Merged pull requests:**

- feat: add URL query values to exported user config  [\#1262](https://github.com/w3c/respec/pull/1262) ([marcoscaceres](https://github.com/marcoscaceres))

## [v13.1.2](https://github.com/w3c/respec/tree/v13.1.2) (2017-06-12)
[Full Changelog](https://github.com/w3c/respec/compare/v13.1.1...v13.1.2)

**Fixed bugs:**

- Privacy warning for WG NOTE [\#1107](https://github.com/w3c/respec/issues/1107)

**Merged pull requests:**

- fix\(w3c/linkter\): privacy warn for non-rec track [\#1261](https://github.com/w3c/respec/pull/1261) ([marcoscaceres](https://github.com/marcoscaceres))

## [v13.1.1](https://github.com/w3c/respec/tree/v13.1.1) (2017-06-11)
[Full Changelog](https://github.com/w3c/respec/compare/v13.1.0...v13.1.1)

**Fixed bugs:**

- Timezone affects dates [\#1256](https://github.com/w3c/respec/issues/1256)

**Merged pull requests:**

- test\(.travis\): run on OSX and Safari [\#1260](https://github.com/w3c/respec/pull/1260) ([marcoscaceres](https://github.com/marcoscaceres))
- wip: refactor date handling [\#1259](https://github.com/w3c/respec/pull/1259) ([marcoscaceres](https://github.com/marcoscaceres))
- \[Snyk\] Fix for 2 vulnerable dependency paths [\#1257](https://github.com/w3c/respec/pull/1257) ([snyk-bot](https://github.com/snyk-bot))

## [v13.1.0](https://github.com/w3c/respec/tree/v13.1.0) (2017-06-05)
[Full Changelog](https://github.com/w3c/respec/compare/v13.0.0...v13.1.0)

**Fixed bugs:**

- SoTD text ends up in wrong place when sub sections are included [\#1236](https://github.com/w3c/respec/issues/1236)

**Closed issues:**

- Going faster than browsers in corporate environments \(e.g., Firefox ESR\) [\#1159](https://github.com/w3c/respec/issues/1159)
- npm deprecation warning [\#1148](https://github.com/w3c/respec/issues/1148)

**Merged pull requests:**

- fix\(core/headers\): SoTD doesn't respect sections [\#1255](https://github.com/w3c/respec/pull/1255) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/data-cite\): parent can define cite root \(closes \#684\) [\#1252](https://github.com/w3c/respec/pull/1252) ([marcoscaceres](https://github.com/marcoscaceres))

## [v13.0.0](https://github.com/w3c/respec/tree/v13.0.0) (2017-06-04)
[Full Changelog](https://github.com/w3c/respec/compare/v12.2.3...v13.0.0)

**Fixed bugs:**

- data-cite with a missing spec identifier crashes plugin [\#1198](https://github.com/w3c/respec/issues/1198)

**Merged pull requests:**

- fix\(core/data-cite\): using just \#frag crashes \(closes \#1198\) [\#1250](https://github.com/w3c/respec/pull/1250) ([marcoscaceres](https://github.com/marcoscaceres))
- BREAKING CHANGE: remove js/tmpl.js - not used [\#1249](https://github.com/w3c/respec/pull/1249) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.2.3](https://github.com/w3c/respec/tree/v12.2.3) (2017-06-01)
[Full Changelog](https://github.com/w3c/respec/compare/v12.2.2...v12.2.3)

**Fixed bugs:**

- pre class IDL eats its own CSS classes  [\#1247](https://github.com/w3c/respec/issues/1247)

**Merged pull requests:**

- fix\(core/webidl\): pre eats its own CSS classes \(closes \#1247\) [\#1248](https://github.com/w3c/respec/pull/1248) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.2.2](https://github.com/w3c/respec/tree/v12.2.2) (2017-05-30)
[Full Changelog](https://github.com/w3c/respec/compare/v12.2.1...v12.2.2)

**Merged pull requests:**

- Update l10n [\#1246](https://github.com/w3c/respec/pull/1246) ([dhvenema](https://github.com/dhvenema))

## [v12.2.1](https://github.com/w3c/respec/tree/v12.2.1) (2017-05-30)
[Full Changelog](https://github.com/w3c/respec/compare/v12.2.0...v12.2.1)

**Merged pull requests:**

- fix\(w3c/style\): revert meta viewport to device-width [\#1245](https://github.com/w3c/respec/pull/1245) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.2.0](https://github.com/w3c/respec/tree/v12.2.0) (2017-05-30)
[Full Changelog](https://github.com/w3c/respec/compare/v12.1.1...v12.2.0)

**Merged pull requests:**

- fix\(ui/ui.css\): search button fits [\#1244](https://github.com/w3c/respec/pull/1244) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/utils\): use native date parser [\#1243](https://github.com/w3c/respec/pull/1243) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.1.1](https://github.com/w3c/respec/tree/v12.1.1) (2017-05-29)
[Full Changelog](https://github.com/w3c/respec/compare/v12.1.0...v12.1.1)

**Merged pull requests:**

- refactor\(tools/release\): use async/await [\#1242](https://github.com/w3c/respec/pull/1242) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.1.0](https://github.com/w3c/respec/tree/v12.1.0) (2017-05-29)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.6...v12.1.0)

**Closed issues:**

- ReSpec eats \<..\> sequences from WebIDL [\#1235](https://github.com/w3c/respec/issues/1235)

**Merged pull requests:**

- chore\(package\): update deps [\#1241](https://github.com/w3c/respec/pull/1241) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(ui/search-specref\): reimagine specref search [\#1240](https://github.com/w3c/respec/pull/1240) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.0.6](https://github.com/w3c/respec/tree/v12.0.6) (2017-05-21)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.5...v12.0.6)

**Merged pull requests:**

- refactor: es6 + hyperHTML  [\#1234](https://github.com/w3c/respec/pull/1234) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(.travis\): combine stages into one [\#1233](https://github.com/w3c/respec/pull/1233) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.0.5](https://github.com/w3c/respec/tree/v12.0.5) (2017-05-19)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.4...v12.0.5)

**Closed issues:**

- Missing backslash in github.js [\#1224](https://github.com/w3c/respec/issues/1224)

**Merged pull requests:**

- fix\(core/github\): missing backslash \(closes \#1224\) [\#1232](https://github.com/w3c/respec/pull/1232) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.0.4](https://github.com/w3c/respec/tree/v12.0.4) (2017-05-19)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.3...v12.0.4)

**Merged pull requests:**

- chore: switch to uglify-es [\#1230](https://github.com/w3c/respec/pull/1230) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.0.3](https://github.com/w3c/respec/tree/v12.0.3) (2017-05-19)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.2...v12.0.3)

**Merged pull requests:**

- refactor: switch from fs-promise to fs-extra [\#1229](https://github.com/w3c/respec/pull/1229) ([marcoscaceres](https://github.com/marcoscaceres))
- chore: use hljs from command line [\#1228](https://github.com/w3c/respec/pull/1228) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(.travis\): split into jobs/stages [\#1222](https://github.com/w3c/respec/pull/1222) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update deps [\#1218](https://github.com/w3c/respec/pull/1218) ([marcoscaceres](https://github.com/marcoscaceres))

## [v12.0.2](https://github.com/w3c/respec/tree/v12.0.2) (2017-05-18)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.1...v12.0.2)

**Closed issues:**

- respec-w3c-common returns "undefined" [\#1225](https://github.com/w3c/respec/issues/1225)

## [v12.0.1](https://github.com/w3c/respec/tree/v12.0.1) (2017-05-18)
[Full Changelog](https://github.com/w3c/respec/compare/v12.0.0...v12.0.1)

## [v12.0.0](https://github.com/w3c/respec/tree/v12.0.0) (2017-05-18)
[Full Changelog](https://github.com/w3c/respec/compare/v11.8.1...v12.0.0)

**Merged pull requests:**

- BREAKING CHANGE: upgrade WebIDL parser [\#1221](https://github.com/w3c/respec/pull/1221) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.8.1](https://github.com/w3c/respec/tree/v11.8.1) (2017-05-18)
[Full Changelog](https://github.com/w3c/respec/compare/v11.8.0...v11.8.1)

**Merged pull requests:**

- update l10n.js [\#1220](https://github.com/w3c/respec/pull/1220) ([chaals](https://github.com/chaals))
- Update l10n.js [\#1219](https://github.com/w3c/respec/pull/1219) ([chaals](https://github.com/chaals))

## [v11.8.0](https://github.com/w3c/respec/tree/v11.8.0) (2017-05-15)
[Full Changelog](https://github.com/w3c/respec/compare/v11.7.0...v11.8.0)

**Merged pull requests:**

- feat\(core/markdown\): add data-format support [\#1216](https://github.com/w3c/respec/pull/1216) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/github\): lowercase host, origin check [\#1215](https://github.com/w3c/respec/pull/1215) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.7.0](https://github.com/w3c/respec/tree/v11.7.0) (2017-05-11)
[Full Changelog](https://github.com/w3c/respec/compare/v11.6.0...v11.7.0)

## [v11.6.0](https://github.com/w3c/respec/tree/v11.6.0) (2017-05-11)
[Full Changelog](https://github.com/w3c/respec/compare/v11.5.0...v11.6.0)

**Closed issues:**

- IE11 Object doesn't support property or method 'remove' [\#1025](https://github.com/w3c/respec/issues/1025)

**Merged pull requests:**

- feat\(core/github\): add github: option [\#1213](https://github.com/w3c/respec/pull/1213) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/base-runner\): simplify running new plugs [\#1212](https://github.com/w3c/respec/pull/1212) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/markdown\): root level processing [\#1211](https://github.com/w3c/respec/pull/1211) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(tools/make-test-file-build\): use async/await [\#1209](https://github.com/w3c/respec/pull/1209) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(core/base-runner\): support async plugins using promises [\#1205](https://github.com/w3c/respec/pull/1205) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.5.0](https://github.com/w3c/respec/tree/v11.5.0) (2017-05-08)
[Full Changelog](https://github.com/w3c/respec/compare/v11.4.5...v11.5.0)

**Merged pull requests:**

- refactor: prettier with trailing comma [\#1204](https://github.com/w3c/respec/pull/1204) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/markdown\): processing bugs [\#1202](https://github.com/w3c/respec/pull/1202) ([marcoscaceres](https://github.com/marcoscaceres))
- chore: run prettier over all js files [\#1201](https://github.com/w3c/respec/pull/1201) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.4.5](https://github.com/w3c/respec/tree/v11.4.5) (2017-05-08)
[Full Changelog](https://github.com/w3c/respec/compare/v11.4.4...v11.4.5)

**Merged pull requests:**

- Webidl js 2.3 [\#1200](https://github.com/w3c/respec/pull/1200) ([marcoscaceres](https://github.com/marcoscaceres))
- chore\(package\): update webidl2 to 2.3.0 [\#1199](https://github.com/w3c/respec/pull/1199) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.4.4](https://github.com/w3c/respec/tree/v11.4.4) (2017-05-03)
[Full Changelog](https://github.com/w3c/respec/compare/v11.4.3...v11.4.4)

**Closed issues:**

- Greenkeeper no longer working [\#1192](https://github.com/w3c/respec/issues/1192)

**Merged pull requests:**

- only request comments on wgPublicList if it exists [\#1195](https://github.com/w3c/respec/pull/1195) ([chaals](https://github.com/chaals))
- Fix for ampersands in markdown [\#1174](https://github.com/w3c/respec/pull/1174) ([nickevansuk](https://github.com/nickevansuk))

## [v11.4.3](https://github.com/w3c/respec/tree/v11.4.3) (2017-05-01)
[Full Changelog](https://github.com/w3c/respec/compare/v11.4.2...v11.4.3)

**Closed issues:**

- CSS validator complains of @support [\#1163](https://github.com/w3c/respec/issues/1163)
- Add copy button to IDL [\#1104](https://github.com/w3c/respec/issues/1104)

**Merged pull requests:**

- fix\(respec2.css\): remove acronym styles [\#1194](https://github.com/w3c/respec/pull/1194) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(styles\): remove ReSpec UI styles on save \(closes \#1163\) [\#1193](https://github.com/w3c/respec/pull/1193) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.4.2](https://github.com/w3c/respec/tree/v11.4.2) (2017-05-01)
[Full Changelog](https://github.com/w3c/respec/compare/v11.4.1...v11.4.2)

**Merged pull requests:**

- fix\(core/webidl\): fix link to HTML spec [\#1191](https://github.com/w3c/respec/pull/1191) ([marcoscaceres](https://github.com/marcoscaceres))
- More secure links [\#1190](https://github.com/w3c/respec/pull/1190) ([xfq](https://github.com/xfq))
- Use Process 2017 in the starter spec [\#1189](https://github.com/w3c/respec/pull/1189) ([xfq](https://github.com/xfq))
- Fix a typo in README.md [\#1188](https://github.com/w3c/respec/pull/1188) ([xfq](https://github.com/xfq))
- chore\(.travis\): switch to yarn [\#1187](https://github.com/w3c/respec/pull/1187) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.4.1](https://github.com/w3c/respec/tree/v11.4.1) (2017-04-04)
[Full Changelog](https://github.com/w3c/respec/compare/v11.4.0...v11.4.1)

**Implemented enhancements:**

- Autolink IDL extended attributes [\#989](https://github.com/w3c/respec/issues/989)

**Fixed bugs:**

- Autolink IDL extended attributes [\#989](https://github.com/w3c/respec/issues/989)

**Merged pull requests:**

- fix\(core/webidl\): link to WEBIDL-LS for some things \(closes \#989\) [\#1178](https://github.com/w3c/respec/pull/1178) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.4.0](https://github.com/w3c/respec/tree/v11.4.0) (2017-04-01)
[Full Changelog](https://github.com/w3c/respec/compare/v11.3.0...v11.4.0)

**Merged pull requests:**

- feat: add "copy IDL to clipboard" button [\#1177](https://github.com/w3c/respec/pull/1177) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.3.0](https://github.com/w3c/respec/tree/v11.3.0) (2017-04-01)
[Full Changelog](https://github.com/w3c/respec/compare/v11.2.4...v11.3.0)

**Closed issues:**

- Example titles incorrectly unescaped [\#1173](https://github.com/w3c/respec/issues/1173)

**Merged pull requests:**

- test d/l chrome stable [\#1176](https://github.com/w3c/respec/pull/1176) ([marcoscaceres](https://github.com/marcoscaceres))
- feat: use grid for save button layout [\#1175](https://github.com/w3c/respec/pull/1175) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.2.4](https://github.com/w3c/respec/tree/v11.2.4) (2017-03-29)
[Full Changelog](https://github.com/w3c/respec/compare/v11.2.3...v11.2.4)

**Implemented enhancements:**

- Dutch Translations Issue Summary, TOF, References [\#1170](https://github.com/w3c/respec/issues/1170)

**Merged pull requests:**

- L10n translations [\#1171](https://github.com/w3c/respec/pull/1171) ([dhvenema](https://github.com/dhvenema))

## [v11.2.3](https://github.com/w3c/respec/tree/v11.2.3) (2017-03-29)
[Full Changelog](https://github.com/w3c/respec/compare/v11.2.2...v11.2.3)

**Merged pull requests:**

- \[Snyk\] Fix for 1 vulnerable dependency path [\#1169](https://github.com/w3c/respec/pull/1169) ([snyk-bot](https://github.com/snyk-bot))

## [v11.2.2](https://github.com/w3c/respec/tree/v11.2.2) (2017-03-29)
[Full Changelog](https://github.com/w3c/respec/compare/v11.2.1...v11.2.2)

**Fixed bugs:**

- Saving as HTML includes the save dialog in the resulting HTML [\#1164](https://github.com/w3c/respec/issues/1164)

**Merged pull requests:**

- tests\(karma\): switch to firefox [\#1168](https://github.com/w3c/respec/pull/1168) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/ui\): duplicate attribute \(closes \#1164\) [\#1167](https://github.com/w3c/respec/pull/1167) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.2.1](https://github.com/w3c/respec/tree/v11.2.1) (2017-03-13)
[Full Changelog](https://github.com/w3c/respec/compare/v11.2.0...v11.2.1)

**Closed issues:**

- Use css "wavy" when supported [\#1150](https://github.com/w3c/respec/issues/1150)

**Merged pull requests:**

- fix\(core/css/respec2\): use native wavy red line for errors [\#1158](https://github.com/w3c/respec/pull/1158) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.2.0](https://github.com/w3c/respec/tree/v11.2.0) (2017-03-13)
[Full Changelog](https://github.com/w3c/respec/compare/v11.1.0...v11.2.0)

**Closed issues:**

- Generalize l10n module  [\#1152](https://github.com/w3c/respec/issues/1152)
- Convert AMD modules to ES6 modules [\#1143](https://github.com/w3c/respec/issues/1143)

**Merged pull requests:**

- Corel10n [\#1157](https://github.com/w3c/respec/pull/1157) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(tests/headless\): don't double build respec [\#1156](https://github.com/w3c/respec/pull/1156) ([marcoscaceres](https://github.com/marcoscaceres))
- test\(.travis.yml\): try tests up to 3 times [\#1155](https://github.com/w3c/respec/pull/1155) ([marcoscaceres](https://github.com/marcoscaceres))
- Moar es6 [\#1154](https://github.com/w3c/respec/pull/1154) ([marcoscaceres](https://github.com/marcoscaceres))
- Moar es6 [\#1153](https://github.com/w3c/respec/pull/1153) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.1.0](https://github.com/w3c/respec/tree/v11.1.0) (2017-03-13)
[Full Changelog](https://github.com/w3c/respec/compare/v11.0.1...v11.1.0)

**Merged pull requests:**

- feat\(tools/builder.js\): learn to take command line args [\#1151](https://github.com/w3c/respec/pull/1151) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.0.1](https://github.com/w3c/respec/tree/v11.0.1) (2017-03-11)
[Full Changelog](https://github.com/w3c/respec/compare/v11.0.0...v11.0.1)

**Merged pull requests:**

- l10n: use l10n strings instead of English words [\#1149](https://github.com/w3c/respec/pull/1149) ([marcoscaceres](https://github.com/marcoscaceres))

## [v11.0.0](https://github.com/w3c/respec/tree/v11.0.0) (2017-03-10)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.14...v11.0.0)

**Merged pull requests:**

- BREAKING CHANGE: remove w3c/unhtml5 module [\#1147](https://github.com/w3c/respec/pull/1147) ([marcoscaceres](https://github.com/marcoscaceres))
- Es6 moar things [\#1146](https://github.com/w3c/respec/pull/1146) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/webidl\): rename webidl-oldschool.css to webidl.css [\#1145](https://github.com/w3c/respec/pull/1145) ([marcoscaceres](https://github.com/marcoscaceres))
- Bye idl oldschool and shiv [\#1144](https://github.com/w3c/respec/pull/1144) ([marcoscaceres](https://github.com/marcoscaceres))
- Es6 moar things [\#1142](https://github.com/w3c/respec/pull/1142) ([marcoscaceres](https://github.com/marcoscaceres))
- Es6 moar things [\#1141](https://github.com/w3c/respec/pull/1141) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.14](https://github.com/w3c/respec/tree/v10.5.14) (2017-03-08)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.13...v10.5.14)

**Implemented enhancements:**

- internationalize humanDate  [\#1137](https://github.com/w3c/respec/issues/1137)

**Merged pull requests:**

- Intl human date [\#1139](https://github.com/w3c/respec/pull/1139) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.13](https://github.com/w3c/respec/tree/v10.5.13) (2017-03-08)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.12...v10.5.13)

**Fixed bugs:**

- Respec interaction button not appearing \(again... sometimes:-\( [\#1131](https://github.com/w3c/respec/issues/1131)

**Merged pull requests:**

- fix\(core/ui\): race inserting into body, if no body \(closes \#1131\) [\#1138](https://github.com/w3c/respec/pull/1138) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.12](https://github.com/w3c/respec/tree/v10.5.12) (2017-03-07)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.11...v10.5.12)

**Fixed bugs:**

- Malformed fragment identifiers [\#1120](https://github.com/w3c/respec/issues/1120)

**Merged pull requests:**

- Issue 1120 malformed ids [\#1135](https://github.com/w3c/respec/pull/1135) ([marcoscaceres](https://github.com/marcoscaceres))
- chore: switch to babel-preset-env [\#1134](https://github.com/w3c/respec/pull/1134) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/webidl-contiguous\): convert to ES6 module [\#1133](https://github.com/w3c/respec/pull/1133) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/webidl-contiguous\): generate valid fragments \(closes \#1120\) [\#1132](https://github.com/w3c/respec/pull/1132) ([marcoscaceres](https://github.com/marcoscaceres))
- Expand handlebars path arguments for build to run on Windows [\#1130](https://github.com/w3c/respec/pull/1130) ([tidoust](https://github.com/tidoust))

## [v10.5.11](https://github.com/w3c/respec/tree/v10.5.11) (2017-03-03)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.10...v10.5.11)

**Fixed bugs:**

- Run "npm run hb:build" before building [\#1127](https://github.com/w3c/respec/issues/1127)

## [v10.5.10](https://github.com/w3c/respec/tree/v10.5.10) (2017-03-03)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.9...v10.5.10)

**Fixed bugs:**

- White screen -- sometimes [\#1113](https://github.com/w3c/respec/issues/1113)

**Closed issues:**

- document.body is null in respect-w3c-common:14:10169 [\#1123](https://github.com/w3c/respec/issues/1123)

**Merged pull requests:**

- refactor\(core/pubsubhub\): make better use of ES6 [\#1125](https://github.com/w3c/respec/pull/1125) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.9](https://github.com/w3c/respec/tree/v10.5.9) (2017-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.8...v10.5.9)

## [v10.5.8](https://github.com/w3c/respec/tree/v10.5.8) (2017-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.7...v10.5.8)

**Closed issues:**

- WebIDL index generating duplicate IDs  [\#1119](https://github.com/w3c/respec/issues/1119)
- markdown parser generating empty `p` [\#1117](https://github.com/w3c/respec/issues/1117)

**Merged pull requests:**

- Validator fixes [\#1122](https://github.com/w3c/respec/pull/1122) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/webidl-index\): don't clone IDs into idl-index \(closes \#1119\) [\#1121](https://github.com/w3c/respec/pull/1121) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.7](https://github.com/w3c/respec/tree/v10.5.7) (2017-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.6...v10.5.7)

**Merged pull requests:**

- refactor\(core/webidl-index\): convert to ES6 [\#1118](https://github.com/w3c/respec/pull/1118) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.6](https://github.com/w3c/respec/tree/v10.5.6) (2017-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.5...v10.5.6)

**Merged pull requests:**

- fix\(core/aria\): race condition when no body \(closes \#1113\) [\#1116](https://github.com/w3c/respec/pull/1116) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.5](https://github.com/w3c/respec/tree/v10.5.5) (2017-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.4...v10.5.5)

## [v10.5.4](https://github.com/w3c/respec/tree/v10.5.4) (2017-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.3...v10.5.4)

**Implemented enhancements:**

- Use Process 2017 [\#1114](https://github.com/w3c/respec/pull/1114) ([plehegar](https://github.com/plehegar))

**Merged pull requests:**

- fix\(core/ui\): return early if element is not passed [\#1115](https://github.com/w3c/respec/pull/1115) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.3](https://github.com/w3c/respec/tree/v10.5.3) (2017-02-24)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.2...v10.5.3)

**Closed issues:**

- "Shown" should be "presented" in prose [\#1111](https://github.com/w3c/respec/issues/1111)

**Merged pull requests:**

- refactor\(handlebars\): generalizer handlebar generation [\#1112](https://github.com/w3c/respec/pull/1112) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.5.2](https://github.com/w3c/respec/tree/v10.5.2) (2017-02-22)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.1...v10.5.2)

## [v10.5.1](https://github.com/w3c/respec/tree/v10.5.1) (2017-02-22)
[Full Changelog](https://github.com/w3c/respec/compare/v10.5.0...v10.5.1)

## [v10.5.0](https://github.com/w3c/respec/tree/v10.5.0) (2017-02-22)
[Full Changelog](https://github.com/w3c/respec/compare/v10.4.0...v10.5.0)

**Closed issues:**

- Why is WebIDL-LS added as an "informative" reference? [\#1105](https://github.com/w3c/respec/issues/1105)

## [v10.4.0](https://github.com/w3c/respec/tree/v10.4.0) (2017-02-21)
[Full Changelog](https://github.com/w3c/respec/compare/v10.3.0...v10.4.0)

## [v10.3.0](https://github.com/w3c/respec/tree/v10.3.0) (2017-02-21)
[Full Changelog](https://github.com/w3c/respec/compare/v10.2.1...v10.3.0)

**Closed issues:**

- Linter should have own pill [\#1100](https://github.com/w3c/respec/issues/1100)
- Use async evaluate\(\) in respec2html [\#951](https://github.com/w3c/respec/issues/951)

**Merged pull requests:**

- Refactor w3c/rfc2119  [\#1102](https://github.com/w3c/respec/pull/1102) ([marcoscaceres](https://github.com/marcoscaceres))
- Small bug fixes... [\#1101](https://github.com/w3c/respec/pull/1101) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.2.1](https://github.com/w3c/respec/tree/v10.2.1) (2017-02-20)
[Full Changelog](https://github.com/w3c/respec/compare/v10.2.0...v10.2.1)

**Fixed bugs:**

- data-cite regression [\#1094](https://github.com/w3c/respec/issues/1094)

**Merged pull requests:**

- Linter priv sec again [\#1099](https://github.com/w3c/respec/pull/1099) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.2.0](https://github.com/w3c/respec/tree/v10.2.0) (2017-02-20)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.18...v10.2.0)

**Closed issues:**

- IDL parsing error is quite unhelpful [\#1057](https://github.com/w3c/respec/issues/1057)

**Merged pull requests:**

- Link to idl defs [\#1098](https://github.com/w3c/respec/pull/1098) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.18](https://github.com/w3c/respec/tree/v10.1.18) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.17...v10.1.18)

## [v10.1.17](https://github.com/w3c/respec/tree/v10.1.17) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.16...v10.1.17)

## [v10.1.16](https://github.com/w3c/respec/tree/v10.1.16) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.15...v10.1.16)

## [v10.1.15](https://github.com/w3c/respec/tree/v10.1.15) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.14...v10.1.15)

## [v10.1.14](https://github.com/w3c/respec/tree/v10.1.14) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.13...v10.1.14)

**Fixed bugs:**

- Fix a CSS property [\#1096](https://github.com/w3c/respec/pull/1096) ([tripu](https://github.com/tripu))

## [v10.1.13](https://github.com/w3c/respec/tree/v10.1.13) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.12...v10.1.13)

**Closed issues:**

- Use monospace font for \<a\>s that link back to IDL [\#1088](https://github.com/w3c/respec/issues/1088)

**Merged pull requests:**

- fix: use monospace font for \<a\>s that link back to IDL [\#1095](https://github.com/w3c/respec/pull/1095) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.12](https://github.com/w3c/respec/tree/v10.1.12) (2017-02-17)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.11...v10.1.12)

**Fixed bugs:**

- Template string bug [\#1091](https://github.com/w3c/respec/issues/1091)

**Merged pull requests:**

- fix: import regenerator when needed makes things less racy [\#1093](https://github.com/w3c/respec/pull/1093) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(core/biblio\): template string \(closes \#1091\) [\#1092](https://github.com/w3c/respec/pull/1092) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.11](https://github.com/w3c/respec/tree/v10.1.11) (2017-02-16)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.10...v10.1.11)

## [v10.1.10](https://github.com/w3c/respec/tree/v10.1.10) (2017-02-16)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.9...v10.1.10)

**Closed issues:**

- Strange bug handling \<pre\> sections... [\#1089](https://github.com/w3c/respec/issues/1089)

**Merged pull requests:**

- Fix highlight [\#1090](https://github.com/w3c/respec/pull/1090) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.9](https://github.com/w3c/respec/tree/v10.1.9) (2017-02-16)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.8...v10.1.9)

**Fixed bugs:**

- ReSpec should warn on unstructured/text specref entries [\#1082](https://github.com/w3c/respec/issues/1082)

**Merged pull requests:**

- fix: error if bad specref entry found \(closes \#1082\) [\#1087](https://github.com/w3c/respec/pull/1087) ([marcoscaceres](https://github.com/marcoscaceres))
- fix\(respec2.css\): adapt better to mobile \(closes \#755\) [\#1086](https://github.com/w3c/respec/pull/1086) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.8](https://github.com/w3c/respec/tree/v10.1.8) (2017-02-16)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.7...v10.1.8)

**Merged pull requests:**

- fix\(biblio\): output spec title first \(closes \#857\) [\#1083](https://github.com/w3c/respec/pull/1083) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.7](https://github.com/w3c/respec/tree/v10.1.7) (2017-02-14)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.6...v10.1.7)

## [v10.1.6](https://github.com/w3c/respec/tree/v10.1.6) (2017-02-14)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.5...v10.1.6)

## [v10.1.5](https://github.com/w3c/respec/tree/v10.1.5) (2017-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.4...v10.1.5)

## [v10.1.4](https://github.com/w3c/respec/tree/v10.1.4) (2017-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.3...v10.1.4)

**Merged pull requests:**

- fix: Reduce FOUC \(closes \#326\) [\#1079](https://github.com/w3c/respec/pull/1079) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.1.3](https://github.com/w3c/respec/tree/v10.1.3) (2017-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.2...v10.1.3)

## [v10.1.2](https://github.com/w3c/respec/tree/v10.1.2) (2017-02-13)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.1...v10.1.2)

## [v10.1.1](https://github.com/w3c/respec/tree/v10.1.1) (2017-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v10.1.0...v10.1.1)

## [v10.1.0](https://github.com/w3c/respec/tree/v10.1.0) (2017-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v10.0.4...v10.1.0)

**Closed issues:**

- Move Markdown parsing off main thread [\#1070](https://github.com/w3c/respec/issues/1070)
- Crash during ui.show\(\) [\#952](https://github.com/w3c/respec/issues/952)

**Merged pull requests:**

- fix\(core/link-to-dfn\): no \<code\> link if no IDL text match \(closes \#441\) [\#1078](https://github.com/w3c/respec/pull/1078) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.0.4](https://github.com/w3c/respec/tree/v10.0.4) (2017-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v10.0.3...v10.0.4)

**Merged pull requests:**

- Few more improvements to markdown handling [\#1077](https://github.com/w3c/respec/pull/1077) ([marcoscaceres](https://github.com/marcoscaceres))
- style: code style fixes [\#1076](https://github.com/w3c/respec/pull/1076) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.0.3](https://github.com/w3c/respec/tree/v10.0.3) (2017-02-10)
[Full Changelog](https://github.com/w3c/respec/compare/v10.0.2...v10.0.3)

**Merged pull requests:**

- Fix more Markdown madness :\) [\#1075](https://github.com/w3c/respec/pull/1075) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.0.2](https://github.com/w3c/respec/tree/v10.0.2) (2017-02-10)
[Full Changelog](https://github.com/w3c/respec/compare/v10.0.1...v10.0.2)

**Merged pull requests:**

- fix\(core/utils\): be more careful about chopping whitespace [\#1074](https://github.com/w3c/respec/pull/1074) ([marcoscaceres](https://github.com/marcoscaceres))

## [v10.0.1](https://github.com/w3c/respec/tree/v10.0.1) (2017-02-10)
[Full Changelog](https://github.com/w3c/respec/compare/v10.0.0...v10.0.1)

**Merged pull requests:**

- fix\(core/utils\): fix markdown edge cases [\#1073](https://github.com/w3c/respec/pull/1073) ([marcoscaceres](https://github.com/marcoscaceres))
- Update snyk to version 1.25.0 🚀 [\#1072](https://github.com/w3c/respec/pull/1072) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v10.0.0](https://github.com/w3c/respec/tree/v10.0.0) (2017-02-08)
[Full Changelog](https://github.com/w3c/respec/compare/v9.2.0...v10.0.0)

**Merged pull requests:**

- fix\(core/markdown\): elements are not corrently positioned [\#1071](https://github.com/w3c/respec/pull/1071) ([marcoscaceres](https://github.com/marcoscaceres))
- feat: significantly improve ARIA support [\#1065](https://github.com/w3c/respec/pull/1065) ([marcoscaceres](https://github.com/marcoscaceres))

## [v9.2.0](https://github.com/w3c/respec/tree/v9.2.0) (2017-02-08)
[Full Changelog](https://github.com/w3c/respec/compare/v9.1.0...v9.2.0)

**Closed issues:**

- Create Turtle syntax highlighter for highlight.js [\#1063](https://github.com/w3c/respec/issues/1063)

**Merged pull requests:**

- webidl2@2.2.2 breaks build 🚨 [\#1069](https://github.com/w3c/respec/pull/1069) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v9.1.0](https://github.com/w3c/respec/tree/v9.1.0) (2017-02-02)
[Full Changelog](https://github.com/w3c/respec/compare/v9.0.0...v9.1.0)

**Merged pull requests:**

- feat\(core/markdown\): allow syntax highlight off main thread [\#1066](https://github.com/w3c/respec/pull/1066) ([marcoscaceres](https://github.com/marcoscaceres))

## [v9.0.0](https://github.com/w3c/respec/tree/v9.0.0) (2017-02-01)
[Full Changelog](https://github.com/w3c/respec/compare/v8.9.0...v9.0.0)

**Merged pull requests:**

- perf\(core/include-config\): add script after end-all [\#1062](https://github.com/w3c/respec/pull/1062) ([marcoscaceres](https://github.com/marcoscaceres))

## [v8.9.0](https://github.com/w3c/respec/tree/v8.9.0) (2017-02-01)
[Full Changelog](https://github.com/w3c/respec/compare/v8.8.0...v8.9.0)

## [v8.8.0](https://github.com/w3c/respec/tree/v8.8.0) (2017-02-01)
[Full Changelog](https://github.com/w3c/respec/compare/v8.7.1...v8.8.0)

**Implemented enhancements:**

- Move syntax highlight to web worker.  [\#964](https://github.com/w3c/respec/issues/964)

**Closed issues:**

- data-cite values are case-sensitive [\#1047](https://github.com/w3c/respec/issues/1047)
- Documentation/wiki: example for `data-merge` [\#1036](https://github.com/w3c/respec/issues/1036)

**Merged pull requests:**

- feat\(core/highlight\): allow highlighting code blocks [\#1061](https://github.com/w3c/respec/pull/1061) ([marcoscaceres](https://github.com/marcoscaceres))
- feat: do syntax highlighting in web worker \(closes \#964\) [\#1060](https://github.com/w3c/respec/pull/1060) ([marcoscaceres](https://github.com/marcoscaceres))
- Update command-line-args to version 4.0.0 🚀 [\#1059](https://github.com/w3c/respec/pull/1059) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.24.6 🚀 [\#1056](https://github.com/w3c/respec/pull/1056) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.24.5 🚀 [\#1053](https://github.com/w3c/respec/pull/1053) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- tests: run karma against build instead [\#1049](https://github.com/w3c/respec/pull/1049) ([marcoscaceres](https://github.com/marcoscaceres))

## [v8.7.1](https://github.com/w3c/respec/tree/v8.7.1) (2017-01-18)
[Full Changelog](https://github.com/w3c/respec/compare/v8.7.0...v8.7.1)

**Merged pull requests:**

- fix\(core/link-to-dfn\): clean up after deferred linking [\#1048](https://github.com/w3c/respec/pull/1048) ([marcoscaceres](https://github.com/marcoscaceres))

## [v8.7.0](https://github.com/w3c/respec/tree/v8.7.0) (2017-01-17)
[Full Changelog](https://github.com/w3c/respec/compare/v8.6.0...v8.7.0)

**Merged pull requests:**

- feat: enable data-cite on dfn [\#1046](https://github.com/w3c/respec/pull/1046) ([marcoscaceres](https://github.com/marcoscaceres))

## [v8.6.0](https://github.com/w3c/respec/tree/v8.6.0) (2017-01-17)
[Full Changelog](https://github.com/w3c/respec/compare/v8.5.0...v8.6.0)

**Closed issues:**

- Non lowercase-only overloaded operations not detected [\#1042](https://github.com/w3c/respec/issues/1042)

**Merged pull requests:**

- feat\(webidl-contiguous\): no-link-warnings disables idl link warnings \(closes \#1027\) [\#1045](https://github.com/w3c/respec/pull/1045) ([marcoscaceres](https://github.com/marcoscaceres))
- Update command-line-usage to version 4.0.0 🚀 [\#1044](https://github.com/w3c/respec/pull/1044) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Search in lowercase for overloaded operations [\#1043](https://github.com/w3c/respec/pull/1043) ([dontcallmedom](https://github.com/dontcallmedom))
- fix\(template/headers\): Delete link to translations page \(closes \#983\) [\#1041](https://github.com/w3c/respec/pull/1041) ([marcoscaceres](https://github.com/marcoscaceres))

## [v8.5.0](https://github.com/w3c/respec/tree/v8.5.0) (2017-01-16)
[Full Changelog](https://github.com/w3c/respec/compare/v8.4.2...v8.5.0)

**Fixed bugs:**

- Allow linking to fully qualified method name [\#1024](https://github.com/w3c/respec/issues/1024)

**Closed issues:**

- Allow preProcess, postProcess, afterAll to await promises [\#1034](https://github.com/w3c/respec/issues/1034)

**Merged pull requests:**

- fix\(webidl-contiguous\): allow linking to Parent.method\(\) \(fixes \#1024\) [\#1040](https://github.com/w3c/respec/pull/1040) ([marcoscaceres](https://github.com/marcoscaceres))
- feat: allow async functions for pre/postProc/afterAll \(closes \#1034\) [\#1038](https://github.com/w3c/respec/pull/1038) ([marcoscaceres](https://github.com/marcoscaceres))
- karma@1.4.0 breaks build 🚨 [\#1037](https://github.com/w3c/respec/pull/1037) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v8.4.2](https://github.com/w3c/respec/tree/v8.4.2) (2017-01-14)
[Full Changelog](https://github.com/w3c/respec/compare/v8.4.1...v8.4.2)

**Fixed bugs:**

- Support markdown includes [\#993](https://github.com/w3c/respec/issues/993)

**Merged pull requests:**

- Update snyk to version 1.24.4 🚀 [\#1033](https://github.com/w3c/respec/pull/1033) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.24.3 🚀 [\#1032](https://github.com/w3c/respec/pull/1032) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Use lowercase when linking to enum values [\#1029](https://github.com/w3c/respec/pull/1029) ([dontcallmedom](https://github.com/dontcallmedom))

## [v8.4.1](https://github.com/w3c/respec/tree/v8.4.1) (2017-01-10)
[Full Changelog](https://github.com/w3c/respec/compare/v8.4.0...v8.4.1)

## [v8.4.0](https://github.com/w3c/respec/tree/v8.4.0) (2017-01-10)
[Full Changelog](https://github.com/w3c/respec/compare/v8.3.0...v8.4.0)

## [v8.3.0](https://github.com/w3c/respec/tree/v8.3.0) (2017-01-10)
[Full Changelog](https://github.com/w3c/respec/compare/v8.2.0...v8.3.0)

**Fixed bugs:**

- Support linking `method\(\)` name in webIDL [\#1000](https://github.com/w3c/respec/issues/1000)
- Link enum when empty string [\#981](https://github.com/w3c/respec/issues/981)

**Merged pull requests:**

- feat\(webidl-contiguous\): link method\(\) and enum "" [\#1023](https://github.com/w3c/respec/pull/1023) ([marcoscaceres](https://github.com/marcoscaceres))
- Update snyk to version 1.23.3 🚀 [\#1022](https://github.com/w3c/respec/pull/1022) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v8.2.0](https://github.com/w3c/respec/tree/v8.2.0) (2017-01-09)
[Full Changelog](https://github.com/w3c/respec/compare/v8.1.0...v8.2.0)

**Implemented enhancements:**

- don't include fixup.js when noToC is set [\#985](https://github.com/w3c/respec/issues/985)

**Fixed bugs:**

- don't include fixup.js when noToC is set [\#985](https://github.com/w3c/respec/issues/985)

## [v8.1.0](https://github.com/w3c/respec/tree/v8.1.0) (2017-01-08)
[Full Changelog](https://github.com/w3c/respec/compare/v8.0.1...v8.1.0)

**Closed issues:**

- Respec seems to be breaking styles and reference links in multiple specs [\#1010](https://github.com/w3c/respec/issues/1010)

**Merged pull requests:**

- refactor: convert various modules to ES6 [\#1021](https://github.com/w3c/respec/pull/1021) ([marcoscaceres](https://github.com/marcoscaceres))
- Update snyk to version 1.23.2 🚀 [\#1019](https://github.com/w3c/respec/pull/1019) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- 🎄 Goodies [\#1018](https://github.com/w3c/respec/pull/1018) ([marcoscaceres](https://github.com/marcoscaceres))
- Update snyk to version 1.23.1 🚀 [\#1015](https://github.com/w3c/respec/pull/1015) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.23.0 🚀 [\#1014](https://github.com/w3c/respec/pull/1014) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v8.0.1](https://github.com/w3c/respec/tree/v8.0.1) (2017-01-03)
[Full Changelog](https://github.com/w3c/respec/compare/v8.0.0...v8.0.1)

**Merged pull requests:**

- fix: hot fixes to various bugs [\#1011](https://github.com/w3c/respec/pull/1011) ([marcoscaceres](https://github.com/marcoscaceres))

## [v8.0.0](https://github.com/w3c/respec/tree/v8.0.0) (2016-12-30)
[Full Changelog](https://github.com/w3c/respec/compare/v7.3.2...v8.0.0)

**Closed issues:**

- Drop warnings about missing \<dfn\> for "definition" names \(interface, enum, etc.\)? [\#997](https://github.com/w3c/respec/issues/997)

**Merged pull requests:**

- refactor\(core/inlines\): use Sets object for references [\#1009](https://github.com/w3c/respec/pull/1009) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(data-cite\): add support for data-cite attribute [\#1008](https://github.com/w3c/respec/pull/1008) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(core/dfn\): unjquery as much as possible [\#1007](https://github.com/w3c/respec/pull/1007) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(default-root-attr\): unjquery, run sync [\#1006](https://github.com/w3c/respec/pull/1006) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(data-transform\): unjquery [\#1005](https://github.com/w3c/respec/pull/1005) ([marcoscaceres](https://github.com/marcoscaceres))

## [v7.3.2](https://github.com/w3c/respec/tree/v7.3.2) (2016-12-29)
[Full Changelog](https://github.com/w3c/respec/compare/v7.3.1...v7.3.2)

**Merged pull requests:**

- Unjquery data-include [\#1004](https://github.com/w3c/respec/pull/1004) ([marcoscaceres](https://github.com/marcoscaceres))

## [v7.3.1](https://github.com/w3c/respec/tree/v7.3.1) (2016-12-23)
[Full Changelog](https://github.com/w3c/respec/compare/v7.3.0...v7.3.1)

## [v7.3.0](https://github.com/w3c/respec/tree/v7.3.0) (2016-12-23)
[Full Changelog](https://github.com/w3c/respec/compare/v7.2.3...v7.3.0)

**Merged pull requests:**

- feat\(highlight\): add JSON support [\#1003](https://github.com/w3c/respec/pull/1003) ([marcoscaceres](https://github.com/marcoscaceres))

## [v7.2.3](https://github.com/w3c/respec/tree/v7.2.3) (2016-12-23)
[Full Changelog](https://github.com/w3c/respec/compare/v7.2.2...v7.2.3)

## [v7.2.2](https://github.com/w3c/respec/tree/v7.2.2) (2016-12-23)
[Full Changelog](https://github.com/w3c/respec/compare/v7.2.1...v7.2.2)

**Fixed bugs:**

- Exclude trying to link to maplike and setlike  [\#996](https://github.com/w3c/respec/issues/996)

**Merged pull requests:**

- fix\(webidl-contiguous\): don't link special IDL things \(closes \#996\) [\#1001](https://github.com/w3c/respec/pull/1001) ([marcoscaceres](https://github.com/marcoscaceres))

## [v7.2.1](https://github.com/w3c/respec/tree/v7.2.1) (2016-12-22)
[Full Changelog](https://github.com/w3c/respec/compare/v7.2.0...v7.2.1)

## [v7.2.0](https://github.com/w3c/respec/tree/v7.2.0) (2016-12-22)
[Full Changelog](https://github.com/w3c/respec/compare/v7.1.1...v7.2.0)

## [v7.1.1](https://github.com/w3c/respec/tree/v7.1.1) (2016-12-22)
[Full Changelog](https://github.com/w3c/respec/compare/v7.1.0...v7.1.1)

**Merged pull requests:**

- fix\(profile-w3c-common\): do includes before markdown proc \(closes \#993\) [\#994](https://github.com/w3c/respec/pull/994) ([marcoscaceres](https://github.com/marcoscaceres))
- Add IDL-index support \(closes \#159\) [\#990](https://github.com/w3c/respec/pull/990) ([marcoscaceres](https://github.com/marcoscaceres))

## [v7.1.0](https://github.com/w3c/respec/tree/v7.1.0) (2016-12-20)
[Full Changelog](https://github.com/w3c/respec/compare/v7.0.0...v7.1.0)

**Closed issues:**

- Error trying to install a local copy of Respec [\#992](https://github.com/w3c/respec/issues/992)
- Warn when IDL members don't have a dfn [\#935](https://github.com/w3c/respec/issues/935)

**Merged pull requests:**

- Update snyk to version 1.22.1 🚀 [\#995](https://github.com/w3c/respec/pull/995) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- feat\(webidl-contiguous\): Warn if IDL member lacks dfn \(closes \#935\) [\#991](https://github.com/w3c/respec/pull/991) ([marcoscaceres](https://github.com/marcoscaceres))

## [v7.0.0](https://github.com/w3c/respec/tree/v7.0.0) (2016-12-12)
[Full Changelog](https://github.com/w3c/respec/compare/v6.1.5...v7.0.0)

**Merged pull requests:**

- perf: compile handlebars templates \(closes \#233\) [\#988](https://github.com/w3c/respec/pull/988) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor\(examples\): use new school WebIDL [\#987](https://github.com/w3c/respec/pull/987) ([marcoscaceres](https://github.com/marcoscaceres))
- karma-jasmine@1.1.0 breaks build 🚨 [\#986](https://github.com/w3c/respec/pull/986) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Remove ye olde idl [\#984](https://github.com/w3c/respec/pull/984) ([marcoscaceres](https://github.com/marcoscaceres))

## [v6.1.5](https://github.com/w3c/respec/tree/v6.1.5) (2016-11-30)
[Full Changelog](https://github.com/w3c/respec/compare/v6.1.4...v6.1.5)

**Fixed bugs:**

- \[respecDocWriter\] electron not closed properly if the document doesn't exist or is not a respec document [\#977](https://github.com/w3c/respec/pull/977) ([deniak](https://github.com/deniak))

**Merged pull requests:**

- Update snyk to version 1.21.2 🚀 [\#980](https://github.com/w3c/respec/pull/980) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.21.1 🚀 [\#979](https://github.com/w3c/respec/pull/979) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.20.0 🚀 [\#974](https://github.com/w3c/respec/pull/974) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Fix using karma-edge-launcher on local tests [\#963](https://github.com/w3c/respec/pull/963) ([nickmccurdy](https://github.com/nickmccurdy))

## [v6.1.4](https://github.com/w3c/respec/tree/v6.1.4) (2016-11-17)
[Full Changelog](https://github.com/w3c/respec/compare/v6.1.3...v6.1.4)

**Implemented enhancements:**

- Updated W3C translations link [\#973](https://github.com/w3c/respec/pull/973) ([plehegar](https://github.com/plehegar))

## [v6.1.3](https://github.com/w3c/respec/tree/v6.1.3) (2016-11-17)
[Full Changelog](https://github.com/w3c/respec/compare/v6.1.2...v6.1.3)

**Fixed bugs:**

- Travis and git+ssh: github uris [\#972](https://github.com/w3c/respec/issues/972)

## [v6.1.2](https://github.com/w3c/respec/tree/v6.1.2) (2016-11-10)
[Full Changelog](https://github.com/w3c/respec/compare/v6.1.1...v6.1.2)

**Merged pull requests:**

- Update fs-promise to version 1.0.0 🚀 [\#968](https://github.com/w3c/respec/pull/968) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- karma-detect-browsers@2.2.2 breaks build 🚨 [\#967](https://github.com/w3c/respec/pull/967) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v6.1.1](https://github.com/w3c/respec/tree/v6.1.1) (2016-11-08)
[Full Changelog](https://github.com/w3c/respec/compare/v6.1.0...v6.1.1)

## [v6.1.0](https://github.com/w3c/respec/tree/v6.1.0) (2016-11-04)
[Full Changelog](https://github.com/w3c/respec/compare/v6.0.2...v6.1.0)

**Fixed bugs:**

- Deprecate lc related things [\#953](https://github.com/w3c/respec/issues/953)

**Closed issues:**

- "Unable to test GitHub repository" on Snyk site [\#960](https://github.com/w3c/respec/issues/960)
- Example style gets broken [\#958](https://github.com/w3c/respec/issues/958)
- Make copydeps.sh Windows compatible [\#954](https://github.com/w3c/respec/issues/954)
- Add developers guide [\#931](https://github.com/w3c/respec/issues/931)

**Merged pull requests:**

- BREAKING CHANGE: remove LC as status \(closes \#953\) [\#962](https://github.com/w3c/respec/pull/962) ([marcoscaceres](https://github.com/marcoscaceres))
- Use http-server in the start and server scripts [\#961](https://github.com/w3c/respec/pull/961) ([nickmccurdy](https://github.com/nickmccurdy))
- Fixes for Windows testing [\#959](https://github.com/w3c/respec/pull/959) ([nickmccurdy](https://github.com/nickmccurdy))
- refactor\(copydeps\): convert to nodejs script \(closes \#954\) [\#957](https://github.com/w3c/respec/pull/957) ([marcoscaceres](https://github.com/marcoscaceres))
- Style optimization [\#955](https://github.com/w3c/respec/pull/955) ([marcoscaceres](https://github.com/marcoscaceres))

## [v6.0.2](https://github.com/w3c/respec/tree/v6.0.2) (2016-10-31)
[Full Changelog](https://github.com/w3c/respec/compare/v6.0.1...v6.0.2)

**Merged pull requests:**

- fix\(save-html\): buttonCSS variable was undefined [\#956](https://github.com/w3c/respec/pull/956) ([marcoscaceres](https://github.com/marcoscaceres))

## [v6.0.1](https://github.com/w3c/respec/tree/v6.0.1) (2016-10-31)
[Full Changelog](https://github.com/w3c/respec/compare/v6.0.0...v6.0.1)

**Closed issues:**

- Using respec for non-w3c specs [\#950](https://github.com/w3c/respec/issues/950)
- Safari no longer rendering ReSpec and gives an error [\#949](https://github.com/w3c/respec/issues/949)

**Merged pull requests:**

- feat\(.travis.yml\): use yarn instead of npm for install [\#947](https://github.com/w3c/respec/pull/947) ([marcoscaceres](https://github.com/marcoscaceres))
- Update epipebomb to version 1.0.0 🚀 [\#946](https://github.com/w3c/respec/pull/946) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v6.0.0](https://github.com/w3c/respec/tree/v6.0.0) (2016-10-12)
[Full Changelog](https://github.com/w3c/respec/compare/v5.1.0...v6.0.0)

**Merged pull requests:**

- feat\(ui\): update ReSpec UI  [\#944](https://github.com/w3c/respec/pull/944) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(async.js\): add marcosc-async as dep [\#943](https://github.com/w3c/respec/pull/943) ([marcoscaceres](https://github.com/marcoscaceres))
- feat\(respect2.css\): add new UI styles [\#942](https://github.com/w3c/respec/pull/942) ([marcoscaceres](https://github.com/marcoscaceres))
- refactor: use uglify-harmony in build process [\#941](https://github.com/w3c/respec/pull/941) ([marcoscaceres](https://github.com/marcoscaceres))

## [v5.1.0](https://github.com/w3c/respec/tree/v5.1.0) (2016-10-12)
[Full Changelog](https://github.com/w3c/respec/compare/v5.0.5...v5.1.0)

**Merged pull requests:**

- Allow configurable canonical URIs for documents [\#938](https://github.com/w3c/respec/pull/938) ([dontcallmedom](https://github.com/dontcallmedom))

## [v5.0.5](https://github.com/w3c/respec/tree/v5.0.5) (2016-10-12)
[Full Changelog](https://github.com/w3c/respec/compare/v5.0.4...v5.0.5)

## [v5.0.4](https://github.com/w3c/respec/tree/v5.0.4) (2016-09-21)
[Full Changelog](https://github.com/w3c/respec/compare/v5.0.3...v5.0.4)

**Closed issues:**

- Respec2html could provide better feedback [\#933](https://github.com/w3c/respec/issues/933)
- respec-w3c-common  has a bug [\#928](https://github.com/w3c/respec/issues/928)

**Merged pull requests:**

- Better error reporting [\#934](https://github.com/w3c/respec/pull/934) ([marcoscaceres](https://github.com/marcoscaceres))

## [v5.0.3](https://github.com/w3c/respec/tree/v5.0.3) (2016-09-20)
[Full Changelog](https://github.com/w3c/respec/compare/v5.0.2...v5.0.3)

## [v5.0.2](https://github.com/w3c/respec/tree/v5.0.2) (2016-09-20)
[Full Changelog](https://github.com/w3c/respec/compare/v5.0.1...v5.0.2)

**Closed issues:**

- respecIsReady is not documented [\#930](https://github.com/w3c/respec/issues/930)

**Merged pull requests:**

- jasmine-core@2.5.2 breaks build 🚨 [\#932](https://github.com/w3c/respec/pull/932) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- moment@2.15.0 breaks build 🚨 [\#929](https://github.com/w3c/respec/pull/929) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v5.0.1](https://github.com/w3c/respec/tree/v5.0.1) (2016-09-01)
[Full Changelog](https://github.com/w3c/respec/compare/v5.0.0...v5.0.1)

**Implemented enhancements:**

- Auto Conformance section - words are not complete [\#927](https://github.com/w3c/respec/issues/927)

**Fixed bugs:**

- Auto Conformance section - words are not complete [\#927](https://github.com/w3c/respec/issues/927)

**Merged pull requests:**

- Update snyk to version 1.19.1 🚀 [\#926](https://github.com/w3c/respec/pull/926) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update snyk to version 1.18.1 🚀 [\#922](https://github.com/w3c/respec/pull/922) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))
- Update karma-chrome-launcher to version 2.0.0 🚀 [\#920](https://github.com/w3c/respec/pull/920) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v5.0.0](https://github.com/w3c/respec/tree/v5.0.0) (2016-08-16)
[Full Changelog](https://github.com/w3c/respec/compare/v4.4.5...v5.0.0)

**Closed issues:**

- CG specs should not require a mailing list [\#918](https://github.com/w3c/respec/issues/918)

**Merged pull requests:**

- refactor\(utils\): ownerSwapper only takes Nodes \(close \#801\) [\#917](https://github.com/w3c/respec/pull/917) ([marcoscaceres](https://github.com/marcoscaceres))

## [v4.4.5](https://github.com/w3c/respec/tree/v4.4.5) (2016-08-12)
[Full Changelog](https://github.com/w3c/respec/compare/v4.4.4...v4.4.5)

**Merged pull requests:**

- feat: remove promise polyfill \(close \#751\) [\#916](https://github.com/w3c/respec/pull/916) ([marcoscaceres](https://github.com/marcoscaceres))

## [v4.4.4](https://github.com/w3c/respec/tree/v4.4.4) (2016-08-12)
[Full Changelog](https://github.com/w3c/respec/compare/v4.4.3...v4.4.4)

## [v4.4.3](https://github.com/w3c/respec/tree/v4.4.3) (2016-08-12)
[Full Changelog](https://github.com/w3c/respec/compare/v4.4.2...v4.4.3)

**Fixed bugs:**

- define where vocabulary in webidl should link [\#910](https://github.com/w3c/respec/issues/910)

**Closed issues:**

- https not used for patent links [\#914](https://github.com/w3c/respec/issues/914)

## [v4.4.2](https://github.com/w3c/respec/tree/v4.4.2) (2016-08-10)
[Full Changelog](https://github.com/w3c/respec/compare/v4.4.1...v4.4.2)

**Merged pull requests:**

- More Japanese boilerplate text for l10n.js [\#913](https://github.com/w3c/respec/pull/913) ([r12a](https://github.com/r12a))

## [v4.4.1](https://github.com/w3c/respec/tree/v4.4.1) (2016-08-08)
[Full Changelog](https://github.com/w3c/respec/compare/v4.4.0...v4.4.1)

## [v4.4.0](https://github.com/w3c/respec/tree/v4.4.0) (2016-08-05)
[Full Changelog](https://github.com/w3c/respec/compare/v4.3.4...v4.4.0)

**Merged pull requests:**

- feat: use ol in ToC \(closes \#835\) [\#909](https://github.com/w3c/respec/pull/909) ([marcoscaceres](https://github.com/marcoscaceres))
- Update snyk to version 1.18.0 🚀 [\#908](https://github.com/w3c/respec/pull/908) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v4.3.4](https://github.com/w3c/respec/tree/v4.3.4) (2016-08-04)
[Full Changelog](https://github.com/w3c/respec/compare/v4.3.3...v4.3.4)

## [v4.3.3](https://github.com/w3c/respec/tree/v4.3.3) (2016-08-03)
[Full Changelog](https://github.com/w3c/respec/compare/v4.3.2...v4.3.3)

## [v4.3.2](https://github.com/w3c/respec/tree/v4.3.2) (2016-08-02)
[Full Changelog](https://github.com/w3c/respec/compare/v4.3.1...v4.3.2)

## [v4.3.1](https://github.com/w3c/respec/tree/v4.3.1) (2016-08-02)
[Full Changelog](https://github.com/w3c/respec/compare/v4.3.0...v4.3.1)

## [v4.3.0](https://github.com/w3c/respec/tree/v4.3.0) (2016-08-01)
[Full Changelog](https://github.com/w3c/respec/compare/v4.1.2...v4.3.0)

## [v4.1.2](https://github.com/w3c/respec/tree/v4.1.2) (2016-07-21)
[Full Changelog](https://github.com/w3c/respec/compare/v4.1.1...v4.1.2)

## [v4.1.1](https://github.com/w3c/respec/tree/v4.1.1) (2016-07-14)
[Full Changelog](https://github.com/w3c/respec/compare/v4.1.0...v4.1.1)

## [v4.1.0](https://github.com/w3c/respec/tree/v4.1.0) (2016-07-14)
[Full Changelog](https://github.com/w3c/respec/compare/v4.0.2...v4.1.0)

## [v4.0.2](https://github.com/w3c/respec/tree/v4.0.2) (2016-07-13)
[Full Changelog](https://github.com/w3c/respec/compare/v4.0.1...v4.0.2)

## [v4.0.1](https://github.com/w3c/respec/tree/v4.0.1) (2016-07-04)
[Full Changelog](https://github.com/w3c/respec/compare/v4.0.0...v4.0.1)

## [v4.0.0](https://github.com/w3c/respec/tree/v4.0.0) (2016-06-29)
[Full Changelog](https://github.com/w3c/respec/compare/v3.4.0...v4.0.0)

## [v3.4.0](https://github.com/w3c/respec/tree/v3.4.0) (2016-06-28)
[Full Changelog](https://github.com/w3c/respec/compare/v3.3.3...v3.4.0)

## [v3.3.3](https://github.com/w3c/respec/tree/v3.3.3) (2016-06-24)
[Full Changelog](https://github.com/w3c/respec/compare/v3.3.2...v3.3.3)

## [v3.3.2](https://github.com/w3c/respec/tree/v3.3.2) (2016-06-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.134...v3.3.2)

## [v3.2.134](https://github.com/w3c/respec/tree/v3.2.134) (2016-06-07)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.133...v3.2.134)

## [v3.2.133](https://github.com/w3c/respec/tree/v3.2.133) (2016-06-01)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.132...v3.2.133)

## [v3.2.132](https://github.com/w3c/respec/tree/v3.2.132) (2016-05-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.131...v3.2.132)

## [v3.2.131](https://github.com/w3c/respec/tree/v3.2.131) (2016-05-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.129...v3.2.131)

## [v3.2.129](https://github.com/w3c/respec/tree/v3.2.129) (2016-05-26)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.128...v3.2.129)

## [v3.2.128](https://github.com/w3c/respec/tree/v3.2.128) (2016-05-26)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.127...v3.2.128)

## [v3.2.127](https://github.com/w3c/respec/tree/v3.2.127) (2016-05-26)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.126...v3.2.127)

## [v3.2.126](https://github.com/w3c/respec/tree/v3.2.126) (2016-05-25)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.125...v3.2.126)

## [v3.2.125](https://github.com/w3c/respec/tree/v3.2.125) (2016-05-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.124...v3.2.125)

## [v3.2.124](https://github.com/w3c/respec/tree/v3.2.124) (2016-05-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.123...v3.2.124)

## [v3.2.123](https://github.com/w3c/respec/tree/v3.2.123) (2016-05-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.122...v3.2.123)

## [v3.2.122](https://github.com/w3c/respec/tree/v3.2.122) (2016-05-06)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.121...v3.2.122)

## [v3.2.121](https://github.com/w3c/respec/tree/v3.2.121) (2016-05-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.120...v3.2.121)

## [v3.2.120](https://github.com/w3c/respec/tree/v3.2.120) (2016-04-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.119...v3.2.120)

## [v3.2.119](https://github.com/w3c/respec/tree/v3.2.119) (2016-04-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.118...v3.2.119)

## [v3.2.118](https://github.com/w3c/respec/tree/v3.2.118) (2016-04-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.117...v3.2.118)

## [v3.2.117](https://github.com/w3c/respec/tree/v3.2.117) (2016-04-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.116...v3.2.117)

## [v3.2.116](https://github.com/w3c/respec/tree/v3.2.116) (2016-03-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.114...v3.2.116)

## [v3.2.114](https://github.com/w3c/respec/tree/v3.2.114) (2016-03-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.113...v3.2.114)

## [v3.2.113](https://github.com/w3c/respec/tree/v3.2.113) (2016-03-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.112...v3.2.113)

## [v3.2.112](https://github.com/w3c/respec/tree/v3.2.112) (2016-03-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.111...v3.2.112)

## [v3.2.111](https://github.com/w3c/respec/tree/v3.2.111) (2016-03-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.110...v3.2.111)

## [v3.2.110](https://github.com/w3c/respec/tree/v3.2.110) (2016-03-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.109...v3.2.110)

## [v3.2.109](https://github.com/w3c/respec/tree/v3.2.109) (2016-03-11)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.108...v3.2.109)

## [v3.2.108](https://github.com/w3c/respec/tree/v3.2.108) (2016-03-10)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.107...v3.2.108)

## [v3.2.107](https://github.com/w3c/respec/tree/v3.2.107) (2016-03-10)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.106...v3.2.107)

## [v3.2.106](https://github.com/w3c/respec/tree/v3.2.106) (2016-03-10)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.105...v3.2.106)

## [v3.2.105](https://github.com/w3c/respec/tree/v3.2.105) (2016-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.104...v3.2.105)

## [v3.2.104](https://github.com/w3c/respec/tree/v3.2.104) (2016-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.103...v3.2.104)

## [v3.2.103](https://github.com/w3c/respec/tree/v3.2.103) (2016-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.102...v3.2.103)

## [v3.2.102](https://github.com/w3c/respec/tree/v3.2.102) (2016-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.101...v3.2.102)

## [v3.2.101](https://github.com/w3c/respec/tree/v3.2.101) (2016-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.100...v3.2.101)

## [v3.2.100](https://github.com/w3c/respec/tree/v3.2.100) (2016-03-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.97...v3.2.100)

## [v3.2.97](https://github.com/w3c/respec/tree/v3.2.97) (2016-02-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.96...v3.2.97)

## [v3.2.96](https://github.com/w3c/respec/tree/v3.2.96) (2016-02-10)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.92...v3.2.96)

## [v3.2.92](https://github.com/w3c/respec/tree/v3.2.92) (2015-12-19)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.91...v3.2.92)

## [v3.2.91](https://github.com/w3c/respec/tree/v3.2.91) (2015-12-19)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.78...v3.2.91)

## [v3.2.78](https://github.com/w3c/respec/tree/v3.2.78) (2015-11-09)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.77...v3.2.78)

## [v3.2.77](https://github.com/w3c/respec/tree/v3.2.77) (2015-11-04)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.76...v3.2.77)

## [v3.2.76](https://github.com/w3c/respec/tree/v3.2.76) (2015-09-29)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.75...v3.2.76)

## [v3.2.75](https://github.com/w3c/respec/tree/v3.2.75) (2015-09-28)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.74...v3.2.75)

## [v3.2.74](https://github.com/w3c/respec/tree/v3.2.74) (2015-09-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.73...v3.2.74)

## [v3.2.73](https://github.com/w3c/respec/tree/v3.2.73) (2015-09-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.72...v3.2.73)

## [v3.2.72](https://github.com/w3c/respec/tree/v3.2.72) (2015-09-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.71...v3.2.72)

## [v3.2.71](https://github.com/w3c/respec/tree/v3.2.71) (2015-09-12)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.70...v3.2.71)

## [v3.2.70](https://github.com/w3c/respec/tree/v3.2.70) (2015-09-09)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.69...v3.2.70)

## [v3.2.69](https://github.com/w3c/respec/tree/v3.2.69) (2015-09-07)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.59...v3.2.69)

## [v3.2.59](https://github.com/w3c/respec/tree/v3.2.59) (2015-06-17)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.58...v3.2.59)

## [v3.2.58](https://github.com/w3c/respec/tree/v3.2.58) (2015-06-11)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.57...v3.2.58)

## [v3.2.57](https://github.com/w3c/respec/tree/v3.2.57) (2015-06-11)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.56...v3.2.57)

## [v3.2.56](https://github.com/w3c/respec/tree/v3.2.56) (2015-06-10)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.55...v3.2.56)

## [v3.2.55](https://github.com/w3c/respec/tree/v3.2.55) (2015-06-04)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.54...v3.2.55)

## [v3.2.54](https://github.com/w3c/respec/tree/v3.2.54) (2015-06-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.53...v3.2.54)

## [v3.2.53](https://github.com/w3c/respec/tree/v3.2.53) (2015-05-13)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.52...v3.2.53)

## [v3.2.52](https://github.com/w3c/respec/tree/v3.2.52) (2015-05-12)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.49...v3.2.52)

## [v3.2.49](https://github.com/w3c/respec/tree/v3.2.49) (2015-04-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.44...v3.2.49)

## [v3.2.44](https://github.com/w3c/respec/tree/v3.2.44) (2015-03-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.43...v3.2.44)

## [v3.2.43](https://github.com/w3c/respec/tree/v3.2.43) (2015-03-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.41...v3.2.43)

## [v3.2.41](https://github.com/w3c/respec/tree/v3.2.41) (2015-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.40...v3.2.41)

## [v3.2.40](https://github.com/w3c/respec/tree/v3.2.40) (2015-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.39...v3.2.40)

## [v3.2.39](https://github.com/w3c/respec/tree/v3.2.39) (2015-02-04)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.19...v3.2.39)

## [v3.2.19](https://github.com/w3c/respec/tree/v3.2.19) (2014-09-22)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.18...v3.2.19)

## [v3.2.18](https://github.com/w3c/respec/tree/v3.2.18) (2014-08-08)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.17...v3.2.18)

## [v3.2.17](https://github.com/w3c/respec/tree/v3.2.17) (2014-07-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.16...v3.2.17)

## [v3.2.16](https://github.com/w3c/respec/tree/v3.2.16) (2014-07-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.15...v3.2.16)

## [v3.2.15](https://github.com/w3c/respec/tree/v3.2.15) (2014-06-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.14...v3.2.15)

## [v3.2.14](https://github.com/w3c/respec/tree/v3.2.14) (2014-04-09)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.12...v3.2.14)

## [v3.2.12](https://github.com/w3c/respec/tree/v3.2.12) (2014-03-05)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.10...v3.2.12)

## [v3.2.10](https://github.com/w3c/respec/tree/v3.2.10) (2014-02-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.9...v3.2.10)

## [v3.2.9](https://github.com/w3c/respec/tree/v3.2.9) (2014-02-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.2.8...v3.2.9)

## [v3.2.8](https://github.com/w3c/respec/tree/v3.2.8) (2014-01-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.65...v3.2.8)

## [v3.1.65](https://github.com/w3c/respec/tree/v3.1.65) (2013-09-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.64...v3.1.65)

## [v3.1.64](https://github.com/w3c/respec/tree/v3.1.64) (2013-09-09)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.63...v3.1.64)

## [v3.1.63](https://github.com/w3c/respec/tree/v3.1.63) (2013-08-29)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.62...v3.1.63)

## [v3.1.62](https://github.com/w3c/respec/tree/v3.1.62) (2013-08-12)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.61...v3.1.62)

## [v3.1.61](https://github.com/w3c/respec/tree/v3.1.61) (2013-07-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.60...v3.1.61)

## [v3.1.60](https://github.com/w3c/respec/tree/v3.1.60) (2013-06-28)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.59...v3.1.60)

## [v3.1.59](https://github.com/w3c/respec/tree/v3.1.59) (2013-06-05)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.58...v3.1.59)

## [v3.1.58](https://github.com/w3c/respec/tree/v3.1.58) (2013-05-22)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.57...v3.1.58)

## [v3.1.57](https://github.com/w3c/respec/tree/v3.1.57) (2013-05-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.56...v3.1.57)

## [v3.1.56](https://github.com/w3c/respec/tree/v3.1.56) (2013-05-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.55...v3.1.56)

## [v3.1.55](https://github.com/w3c/respec/tree/v3.1.55) (2013-05-06)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.54...v3.1.55)

## [v3.1.54](https://github.com/w3c/respec/tree/v3.1.54) (2013-04-25)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.53...v3.1.54)

## [v3.1.53](https://github.com/w3c/respec/tree/v3.1.53) (2013-04-16)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.52...v3.1.53)

## [v3.1.52](https://github.com/w3c/respec/tree/v3.1.52) (2013-04-16)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.51...v3.1.52)

## [v3.1.51](https://github.com/w3c/respec/tree/v3.1.51) (2013-04-09)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.50...v3.1.51)

## [v3.1.50](https://github.com/w3c/respec/tree/v3.1.50) (2013-04-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.49...v3.1.50)

## [v3.1.49](https://github.com/w3c/respec/tree/v3.1.49) (2013-03-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.48...v3.1.49)

## [v3.1.48](https://github.com/w3c/respec/tree/v3.1.48) (2013-03-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.47...v3.1.48)

## [v3.1.47](https://github.com/w3c/respec/tree/v3.1.47) (2013-03-06)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.46...v3.1.47)

## [v3.1.46](https://github.com/w3c/respec/tree/v3.1.46) (2013-03-01)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.45...v3.1.46)

## [v3.1.45](https://github.com/w3c/respec/tree/v3.1.45) (2013-02-28)
[Full Changelog](https://github.com/w3c/respec/compare/3.1.45...v3.1.45)

## [3.1.45](https://github.com/w3c/respec/tree/3.1.45) (2013-02-28)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.44...3.1.45)

## [v3.1.44](https://github.com/w3c/respec/tree/v3.1.44) (2013-02-25)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.43...v3.1.44)

## [v3.1.43](https://github.com/w3c/respec/tree/v3.1.43) (2013-02-12)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.42...v3.1.43)

## [v3.1.42](https://github.com/w3c/respec/tree/v3.1.42) (2013-02-05)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.41...v3.1.42)

## [v3.1.41](https://github.com/w3c/respec/tree/v3.1.41) (2013-01-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.40...v3.1.41)

## [v3.1.40](https://github.com/w3c/respec/tree/v3.1.40) (2013-01-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.39...v3.1.40)

## [v3.1.39](https://github.com/w3c/respec/tree/v3.1.39) (2013-01-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.38...v3.1.39)

## [v3.1.38](https://github.com/w3c/respec/tree/v3.1.38) (2013-01-08)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.37...v3.1.38)

## [v3.1.37](https://github.com/w3c/respec/tree/v3.1.37) (2013-01-07)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.36...v3.1.37)

## [v3.1.36](https://github.com/w3c/respec/tree/v3.1.36) (2013-01-07)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.35...v3.1.36)

## [v3.1.35](https://github.com/w3c/respec/tree/v3.1.35) (2012-12-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.34...v3.1.35)

## [v3.1.34](https://github.com/w3c/respec/tree/v3.1.34) (2012-11-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.33...v3.1.34)

## [v3.1.33](https://github.com/w3c/respec/tree/v3.1.33) (2012-11-04)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.32...v3.1.33)

## [v3.1.32](https://github.com/w3c/respec/tree/v3.1.32) (2012-10-31)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.31...v3.1.32)

## [v3.1.31](https://github.com/w3c/respec/tree/v3.1.31) (2012-10-23)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.30...v3.1.31)

## [v3.1.30](https://github.com/w3c/respec/tree/v3.1.30) (2012-10-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.29...v3.1.30)

## [v3.1.29](https://github.com/w3c/respec/tree/v3.1.29) (2012-10-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.28...v3.1.29)

## [v3.1.28](https://github.com/w3c/respec/tree/v3.1.28) (2012-10-16)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.27...v3.1.28)

## [v3.1.27](https://github.com/w3c/respec/tree/v3.1.27) (2012-10-16)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.26...v3.1.27)

## [v3.1.26](https://github.com/w3c/respec/tree/v3.1.26) (2012-10-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.25...v3.1.26)

## [v3.1.25](https://github.com/w3c/respec/tree/v3.1.25) (2012-09-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.24...v3.1.25)

## [v3.1.24](https://github.com/w3c/respec/tree/v3.1.24) (2012-09-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.23...v3.1.24)

## [v3.1.23](https://github.com/w3c/respec/tree/v3.1.23) (2012-09-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.22...v3.1.23)

## [v3.1.22](https://github.com/w3c/respec/tree/v3.1.22) (2012-09-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.21...v3.1.22)

## [v3.1.21](https://github.com/w3c/respec/tree/v3.1.21) (2012-09-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.20...v3.1.21)

## [v3.1.20](https://github.com/w3c/respec/tree/v3.1.20) (2012-08-19)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.19...v3.1.20)

## [v3.1.19](https://github.com/w3c/respec/tree/v3.1.19) (2012-08-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.18...v3.1.19)

## [v3.1.18](https://github.com/w3c/respec/tree/v3.1.18) (2012-08-08)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.17...v3.1.18)

## [v3.1.17](https://github.com/w3c/respec/tree/v3.1.17) (2012-08-03)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.16...v3.1.17)

## [v3.1.16](https://github.com/w3c/respec/tree/v3.1.16) (2012-07-31)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.15...v3.1.16)

## [v3.1.15](https://github.com/w3c/respec/tree/v3.1.15) (2012-07-16)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.14...v3.1.15)

## [v3.1.14](https://github.com/w3c/respec/tree/v3.1.14) (2012-07-10)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.13...v3.1.14)

## [v3.1.13](https://github.com/w3c/respec/tree/v3.1.13) (2012-07-06)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.12...v3.1.13)

## [v3.1.12](https://github.com/w3c/respec/tree/v3.1.12) (2012-07-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.11...v3.1.12)

## [v3.1.11](https://github.com/w3c/respec/tree/v3.1.11) (2012-07-02)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.10...v3.1.11)

## [v3.1.10](https://github.com/w3c/respec/tree/v3.1.10) (2012-06-27)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.9...v3.1.10)

## [v3.1.9](https://github.com/w3c/respec/tree/v3.1.9) (2012-06-25)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.8...v3.1.9)

## [v3.1.8](https://github.com/w3c/respec/tree/v3.1.8) (2012-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.7...v3.1.8)

## [v3.1.7](https://github.com/w3c/respec/tree/v3.1.7) (2012-06-22)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.6...v3.1.7)

## [v3.1.6](https://github.com/w3c/respec/tree/v3.1.6) (2012-06-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.5...v3.1.6)

## [v3.1.5](https://github.com/w3c/respec/tree/v3.1.5) (2012-06-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.4...v3.1.5)

## [v3.1.4](https://github.com/w3c/respec/tree/v3.1.4) (2012-06-21)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.3...v3.1.4)

## [v3.1.3](https://github.com/w3c/respec/tree/v3.1.3) (2012-06-20)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.2...v3.1.3)

## [v3.1.2](https://github.com/w3c/respec/tree/v3.1.2) (2012-06-19)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.1...v3.1.2)

## [v3.1.1](https://github.com/w3c/respec/tree/v3.1.1) (2012-06-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.3.1...v3.1.1)

## [v3.3.1](https://github.com/w3c/respec/tree/v3.3.1) (2012-06-18)
[Full Changelog](https://github.com/w3c/respec/compare/v3.1.0...v3.3.1)

## [v3.1.0](https://github.com/w3c/respec/tree/v3.1.0) (2012-06-15)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.15...v3.1.0)

## [v3.0.15](https://github.com/w3c/respec/tree/v3.0.15) (2012-06-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.14...v3.0.15)

## [v3.0.14](https://github.com/w3c/respec/tree/v3.0.14) (2012-06-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.13...v3.0.14)

## [v3.0.13](https://github.com/w3c/respec/tree/v3.0.13) (2012-06-14)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.12...v3.0.13)

## [v3.0.12](https://github.com/w3c/respec/tree/v3.0.12) (2012-06-13)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.11...v3.0.12)

## [v3.0.11](https://github.com/w3c/respec/tree/v3.0.11) (2012-06-07)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.10...v3.0.11)

## [v3.0.10](https://github.com/w3c/respec/tree/v3.0.10) (2012-06-07)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.9...v3.0.10)

## [v3.0.9](https://github.com/w3c/respec/tree/v3.0.9) (2012-06-04)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.8...v3.0.9)

## [v3.0.8](https://github.com/w3c/respec/tree/v3.0.8) (2012-06-04)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.7...v3.0.8)

## [v3.0.7](https://github.com/w3c/respec/tree/v3.0.7) (2012-06-01)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.6...v3.0.7)

## [v3.0.6](https://github.com/w3c/respec/tree/v3.0.6) (2012-05-31)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.5...v3.0.6)

## [v3.0.5](https://github.com/w3c/respec/tree/v3.0.5) (2012-05-31)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.4...v3.0.5)

## [v3.0.4](https://github.com/w3c/respec/tree/v3.0.4) (2012-05-31)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.3...v3.0.4)

## [v3.0.3](https://github.com/w3c/respec/tree/v3.0.3) (2012-05-30)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.2...v3.0.3)

## [v3.0.2](https://github.com/w3c/respec/tree/v3.0.2) (2012-05-25)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.1...v3.0.2)

## [v3.0.1](https://github.com/w3c/respec/tree/v3.0.1) (2012-05-25)
[Full Changelog](https://github.com/w3c/respec/compare/v3.0.0...v3.0.1)

## [v3.0.0](https://github.com/w3c/respec/tree/v3.0.0) (2012-05-24)
[Full Changelog](https://github.com/w3c/respec/compare/v2.9.9...v3.0.0)

## [v2.9.9](https://github.com/w3c/respec/tree/v2.9.9) (2012-05-24)
[Full Changelog](https://github.com/w3c/respec/compare/v2.0.0...v2.9.9)

## [v2.0.0](https://github.com/w3c/respec/tree/v2.0.0) (2012-05-21)


\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*